<?php
   if(isset($_POST['tgbtnSubmitApp']) && isset($_POST['tgomatic_Main_Settings']['app_id']))
   {
       try
       {
            $tgomatic_Main_Settings = get_option('tgomatic_Main_Settings', false);
            if(!function_exists('GuzzleHttp\\Promise\\queue'))
            {
                tgomatic_require_all(dirname(__FILE__) . "/Guzzle");
            }
            if( !class_exists( 'Telegram' ) ) {
                require_once( dirname(__FILE__) . '/telegram/Telegram.php' );
            }
            if (isset($tgomatic_Main_Settings['proxy_url']) && $tgomatic_Main_Settings['proxy_url'] != '') {
                $proxy = $tgomatic_Main_Settings['proxy_url'];
            }
            else
            {
                $proxy = '';
            }
            $tg = new Telegram( $_POST['tgomatic_Main_Settings']['app_id'], $proxy );
            $data = $tg->getBotInfo();

            if( empty( $data['id'] ) || $data['id'] == '0')
            {
                update_option('tgomatic_settings_failed', '1');
                tgomatic_log_to_file('The entered Bot Token is invalid! ' . print_r($data, true));
            }
            else
            {
                update_option('tgomatic_bot_id', $data);
                update_option('tgomatic_auth_id', $_POST['tgomatic_Main_Settings']['app_id']);
                tgomatic_log_to_file('Successfully authed bot: ' . print_r($data, true));
                update_option('tgomatic_settings_failed', '2');
            }
            $data = $tg->getActiveChats();
            if( !is_array( $data ))
            {
                delete_option('tgomatic_latest_groups');
                tgomatic_log_to_file('Invalid response from Telegram (for groups): ' . print_r($data, true));
            }
            else
            {
                update_option('tgomatic_latest_groups', $data);
            }
       }
       catch(Exception $exx)
       {
           update_option('tgomatic_settings_failed', '1');
           tgomatic_log_to_file('Exception thrown in Telegram api during auth: ' . $exx->getMessage());
       }
   }
   function tgomatic_admin_settings()
   {
       
      $language_names = array(
         esc_html__("Disabled", 'newsomatic-news-post-generator'),
         esc_html__("Afrikaans (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Albanian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Arabic (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Amharic (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Armenian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Belarusian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Bulgarian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Catalan (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Chinese Simplified (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Croatian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Czech (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Danish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Dutch (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("English (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Estonian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Filipino (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Finnish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("French (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Galician (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("German (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Greek (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hebrew (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hindi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hungarian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Icelandic (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Indonesian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Irish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Italian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Japanese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Korean (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Latvian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Lithuanian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Norwegian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Macedonian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Malay (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Maltese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Persian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Polish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Portuguese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Romanian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Russian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Serbian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Slovak (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Slovenian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Spanish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Swahili (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Swedish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Thai (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Turkish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Ukrainian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Vietnamese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Welsh (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Yiddish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Tamil (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Azerbaijani (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kannada (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Basque (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Bengali (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Latin (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Chinese Traditional (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Esperanto (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Georgian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Telugu (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Gujarati (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Haitian Creole (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Urdu (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Burmese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Bosnian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Cebuano (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Chichewa (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Corsican (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Frisian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Scottish Gaelic (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hausa (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hawaian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Hmong (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Igbo (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Javanese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kazakh (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Khmer (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kurdish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kyrgyz (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Lao (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Luxembourgish (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Malagasy (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Malayalam (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Maori (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Marathi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Mongolian (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Nepali (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Pashto (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Punjabi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Samoan (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sesotho (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Shona (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sindhi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sinhala (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Somali (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sundanese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Swahili (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Tajik (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Uzbek (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Xhosa (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Yoruba (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Zulu (Google Translate)", 'newsomatic-news-post-generator'),

         esc_html__("Assammese (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Aymara (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Bambara (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Bhojpuri (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Dhivehi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Dogri (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Ewe (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Guarani (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Ilocano (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kinyarwanda (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Konkani (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Krio (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Kurdish - Sorani (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Lingala (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Luganda (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Maithili (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Meiteilon (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Mizo (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Odia (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Oromo (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Quechua (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sanskrit (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Sepedi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Tatar (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Tigrinya (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Tsonga (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Turkmen (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Twi (Google Translate)", 'newsomatic-news-post-generator'),
         esc_html__("Uyghur (Google Translate)", 'newsomatic-news-post-generator')
     );
     $language_codes = array(
         "disabled",
         "af",
         "sq",
         "ar",
         "am",
         "hy",
         "be",
         "bg",
         "ca",
         "zh-CN",
         "hr",
         "cs",
         "da",
         "nl",
         "en",
         "et",
         "tl",
         "fi",
         "fr",
         "gl",
         "de",
         "el",
         "iw",
         "hi",
         "hu",
         "is",
         "id",
         "ga",
         "it",
         "ja",
         "ko",
         "lv",
         "lt",
         "no",
         "mk",
         "ms",
         "mt",
         "fa",
         "pl",
         "pt",
         "ro",
         "ru",
         "sr",
         "sk",
         "sl",
         "es",
         "sw",
         "sv",   
         "th",
         "tr",
         "uk",
         "vi",
         "cy",
         "yi",
         "ta",
         "az",
         "kn",
         "eu",
         "bn",
         "la",
         "zh-TW",
         "eo",
         "ka",
         "te",
         "gu",
         "ht",
         "ur",
         
         "my",
         "bs",
         "ceb",
         "ny",
         "co",
         "fy",
         "gd",
         "ha",
         "haw",
         "hmn",
         "ig",
         "jw",
         "kk",
         "km",
         "ku",
         "ky",
         "lo",
         "lb",
         "mg",
         "ml",
         "mi",
         "mr",
         "mn",
         "ne",
         "ps",
         "pa",
         "sm",
         "st",
         "sn",
         "sd",
         "si",
         "so",
         "su",
         "sw",
         "tg",
         "uz",
         "xh",
         "yo",
         "zu",

         "as",
         "ay",
         "bm",
         "bho",
         "dv",
         "doi",
         "ee",
         "gn",
         "ilo",
         "rw",
         "gom",
         "kri",
         "ckb",
         "ln",
         "lg",
         "mai",
         "mni-Mtei",
         "lus",
         "or",
         "om",
         "qu",
         "sa",
         "nso",
         "tt",
         "ti",
         "ts",
         "tk",
         "ak",
         "ug"
     );
     $language_names_deepl = array(
       "English (DeepL)",
       "German (DeepL)",
       "French (DeepL)",
       "Spanish (DeepL)",
       "Italian (DeepL)",
       "Dutch (DeepL)",
       "Polish (DeepL)",
       "Russian (DeepL)",
       "Portuguese (DeepL)",
       "Chinese (DeepL)",
       "Japanese (DeepL)",
       "Bulgarian (DeepL)",
       "Czech (DeepL)",
       "Danish (DeepL)",
       "Greek (DeepL)",
       "Estonian (DeepL)",
       "Finnish (DeepL)",
       "Hungarian (DeepL)",
       "Lithuanian (DeepL)",
       "Latvian (DeepL)",
       "Romanian (DeepL)",
       "Slovak (DeepL)",
       "Slovenian (DeepL)",
       "Swedish (DeepL)",
       "Indonesian (DeepL)",
       "Turkish (DeepL)",
       "Korean (DeepL)",
       "Norwegian (DeepL)",
       "Ukrainian (DeepL)"
       );
       $language_codes_deepl = array(
           "EN-",
           "DE-",
           "FR-",
           "ES-",
           "IT-",
           "NL-",
           "PL-",
           "RU-",
           "PT-",
           "ZH-",
           "JA-",
           "BG-",
           "CS-",
           "DA-",
           "EL-",
           "ET-",
           "FI-",
           "HU-",
           "LT-",
           "LV-",
           "RO-",
           "SK-",
           "SL-",
           "SV-",
           "ID-",
           "TR-",
           "KO-",
           "NB-",
           "UK-"
       );
       $language_names_bing = array(
          "English (Microsoft Translator)",
          "Arabic (Microsoft Translator)",
          "Bosnian (Latin) (Microsoft Translator)",
          "Bulgarian (Microsoft Translator)",
          "Catalan (Microsoft Translator)",
          "Chinese Simplified (Microsoft Translator)",
          "Chinese Traditional (Microsoft Translator)",
          "Croatian (Microsoft Translator)",
          "Czech (Microsoft Translator)",
          "Danish (Microsoft Translator)",
          "Dutch (Microsoft Translator)",
          "Estonian (Microsoft Translator)",
          "Finnish (Microsoft Translator)",
          "French (Microsoft Translator)",
          "German (Microsoft Translator)",
          "Greek (Microsoft Translator)",
          "Haitian Creole (Microsoft Translator)",
          "Hebrew (Microsoft Translator)",
          "Hindi (Microsoft Translator)",
          "Hmong Daw (Microsoft Translator)",
          "Hungarian (Microsoft Translator)",
          "Indonesian (Microsoft Translator)",
          "Italian (Microsoft Translator)",
          "Japanese (Microsoft Translator)",
          "Kiswahili (Microsoft Translator)",
          "Klingon (Microsoft Translator)",
          "Klingon (pIqaD) (Microsoft Translator)",
          "Korean (Microsoft Translator)",
          "Latvian (Microsoft Translator)",
          "Lithuanian (Microsoft Translator)",
          "Malay (Microsoft Translator)",
          "Maltese (Microsoft Translator)",
          "Norwegian (Microsoft Translator)",
          "Persian (Microsoft Translator)",
          "Polish (Microsoft Translator)",
          "Portuguese (Microsoft Translator)",
          "Queretaro Otomi (Microsoft Translator)",
          "Romanian (Microsoft Translator)",
          "Russian (Microsoft Translator)",
          "Serbian (Cyrillic) (Microsoft Translator)",
          "Serbian (Latin) (Microsoft Translator)",
          "Slovak (Microsoft Translator)",
          "Slovenian (Microsoft Translator)",
          "Spanish (Microsoft Translator)",
          "Swedish (Microsoft Translator)",
          "Thai (Microsoft Translator)",
          "Turkish (Microsoft Translator)",
          "Ukrainian (Microsoft Translator)",
          "Urdu (Microsoft Translator)",
          "Vietnamese (Microsoft Translator)",
          "Welsh (Microsoft Translator)",
          "Yucatec Maya (Microsoft Translator)",
        
          "Afrikaans (Microsoft Translator)",
          "Albanian (Microsoft Translator)",
          "Amharic (Microsoft Translator)",
          "Armenian (Microsoft Translator)",
          "Assamese (Microsoft Translator)",
          "Azerbaijani (Microsoft Translator)",
          "Bangla (Microsoft Translator)", 
          "Bashkir (Microsoft Translator)",
          "Basque (Microsoft Translator)",
          "Cantonese (Microsoft Translator)",
          "Chinese (Literary) (Microsoft Translator)",
          "Dari (Microsoft Translator)",
          "Divehi (Microsoft Translator)",
          "Faroese (Microsoft Translator)",
          "Fijian (Microsoft Translator)",
          "Filipino (Microsoft Translator)",
          "French (Canada) (Microsoft Translator)",
          "Galician (Microsoft Translator)",
          "Georgian (Microsoft Translator)",
          "Gujarati (Microsoft Translator)",
          "Icelandic (Microsoft Translator)",
          "Inuinnaqtun (Microsoft Translator)",
          "Inuktitut (Microsoft Translator)",
          "Inuktitut (Latin) (Microsoft Translator)",
          "Irish (Microsoft Translator)",
          "Kannada (Microsoft Translator)",
          "Kazakh (Microsoft Translator)",
          "Khmer (Microsoft Translator)",
          "Kurdish (Central) (Microsoft Translator)",
          "Kurdish (Northern) (Microsoft Translator)",
          "Kyrgyz (Cyrillic) (Microsoft Translator)",
          "Lao (Microsoft Translator)",
          "Macedonian (Microsoft Translator)",
          "Malagasy (Microsoft Translator)",
          "Malayalam (Microsoft Translator)",
          "Maori (Microsoft Translator)",
          "Marathi (Microsoft Translator)",
          "Mongolian (Cyrillic) (Microsoft Translator)",
          "Mongolian (Traditional) (Microsoft Translator)",
          "Myanmar (Microsoft Translator)",
          "Nepali (Microsoft Translator)",
          "Odia (Microsoft Translator)",
          "Pashto (Microsoft Translator)",
          "Portuguese (Portugal) (Microsoft Translator)",
          "Punjabi (Microsoft Translator)",
          "Samoan (Microsoft Translator)",
          "Somali (Arabic) (Microsoft Translator)",
          "Swahili (Latin) (Microsoft Translator)",
          "Tahitian (Microsoft Translator)",
          "Tamil (Microsoft Translator)",
          "Tatar (Latin) (Microsoft Translator)",
          "Telugu (Microsoft Translator)",
          "Tibetan (Microsoft Translator)",
          "Tigrinya (Microsoft Translator)",
          "Tongan (Microsoft Translator)",
          "Turkmen (Latin) (Microsoft Translator)",
          "Upper Sorbian (Microsoft Translator)",
          "Uyghur (Arabic) (Microsoft Translator)",
          "Uzbek (Microsoft Translator)",
          "Zulu (Microsoft Translator)"
          );
      
          $language_codes_bing = array(
              "en!",
              "ar!",
              "bs-Latn!",
              "bg!",
              "ca!",
              "zh-CHS!",
              "zh-CHT!",
              "hr!",
              "cs!",
              "da!",
              "nl!",
              "et!",
              "fi!",
              "fr!",
              "de!",
              "el!",
              "ht!",
              "he!",
              "hi!",
              "mww!",
              "hu!",
              "id!",
              "it!",
              "ja!",
              "sw!",
              "tlh!",
              "tlh-Qaak!",
              "ko!",
              "lv!",
              "lt!",
              "ms!",
              "mt!",
              "nor!",
              "fa!",
              "pl!",
              "pt!",
              "otq!",
              "ro!",
              "ru!",
              "sr-Cyrl!",
              "sr-Latn!",
              "sk!",
              "sl!",
              "es!",
              "sv!",
              "th!",
              "tr!",
              "uk!",
              "ur!",
              "vi!",
              "cy!",
              "yua!",
              
              "af!",
              "sq!",
              "am!",
              "hy!",
              "as!",
              "az!",
              "bn!",
              "ba!",
              "eu!",
              "yue!",
              "lzh!",
              "prs!",
              "dv!",
              "fo!",
              "fj!",
              "fil!",
              "fr-ca!",
              "gl!",
              "ka!",
              "gu!",
              "is!",
              "ikt!",
              "iu!",
              "iu-Latn!",
              "ga!",
              "kn!",
              "kk!",
              "km!",
              "ku!",
              "kmr!",
              "ky!",
              "lo!",
              "mk!",
              "mg!",
              "ml!",
              "mi!",
              "mr!",
              "mn-Cyrl!",
              "mn-Mong!",
              "my!",
              "ne!",
              "or!",
              "ps!",
              "pt-pt!",
              "pa!",
              "sm!",
              "so!",
              "sw!",
              "ty!",
              "ta!",
              "tt!",
              "te!",
              "bo!",
              "ti!",
              "to!",
              "tk!",
              "hsb!",
              "ug!",
              "uz!",
              "zu!"
          );
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <form id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
         <div class="cr_autocomplete">
            <input type="password" id="PreventChromeAutocomplete" 
               name="PreventChromeAutocomplete" autocomplete="address-level4" />
         </div>
         <?php
            settings_fields('tgomatic_option_group');
            do_settings_sections('tgomatic_option_group');
            $tgomatic_Main_Settings = get_option('tgomatic_Main_Settings', false);
            if (isset($tgomatic_Main_Settings['tgomatic_enabled'])) {
                $tgomatic_enabled = $tgomatic_Main_Settings['tgomatic_enabled'];
            } else {
                $tgomatic_enabled = '';
            }
            if (isset($tgomatic_Main_Settings['enable_metabox'])) {
                $enable_metabox = $tgomatic_Main_Settings['enable_metabox'];
            } else {
                $enable_metabox = '';
            }
            if (isset($tgomatic_Main_Settings['enable_detailed_logging'])) {
                $enable_detailed_logging = $tgomatic_Main_Settings['enable_detailed_logging'];
            } else {
                $enable_detailed_logging = '';
            }
            if (isset($tgomatic_Main_Settings['enable_logging'])) {
                $enable_logging = $tgomatic_Main_Settings['enable_logging'];
            } else {
                $enable_logging = '';
            }
            if (isset($tgomatic_Main_Settings['proxy_url'])) {
                $proxy_url = $tgomatic_Main_Settings['proxy_url'];
            } else {
                $proxy_url = '';
            }
            if (isset($tgomatic_Main_Settings['auto_clear_logs'])) {
                $auto_clear_logs = $tgomatic_Main_Settings['auto_clear_logs'];
            } else {
                $auto_clear_logs = '';
            }
            if (isset($tgomatic_Main_Settings['rule_timeout'])) {
                $rule_timeout = $tgomatic_Main_Settings['rule_timeout'];
            } else {
                $rule_timeout = '';
            }
            if (isset($tgomatic_Main_Settings['no_link_translate'])) {
                $no_link_translate = $tgomatic_Main_Settings['no_link_translate'];
            } else {
                $no_link_translate = '';
            }
            if (isset($tgomatic_Main_Settings['skip_failed_tr'])) {
                $skip_failed_tr = $tgomatic_Main_Settings['skip_failed_tr'];
            } else {
                $skip_failed_tr = '';
            }
            if (isset($tgomatic_Main_Settings['strip_links'])) {
                $strip_links = $tgomatic_Main_Settings['strip_links'];
            } else {
                $strip_links = '';
            }
            if (isset($tgomatic_Main_Settings['send_email'])) {
                $send_email = $tgomatic_Main_Settings['send_email'];
            } else {
                $send_email = '';
            }
            if (isset($tgomatic_Main_Settings['deepl_auth'])) {
                  $deepl_auth = $tgomatic_Main_Settings['deepl_auth'];
            } else {
                  $deepl_auth = '';
            }
            if (isset($tgomatic_Main_Settings['bing_auth'])) {
                  $bing_auth = $tgomatic_Main_Settings['bing_auth'];
            } else {
                  $bing_auth = '';
            }
            if (isset($tgomatic_Main_Settings['bing_region'])) {
                $bing_region = $tgomatic_Main_Settings['bing_region'];
            } else {
                $bing_region = '';
            }
            if (isset($tgomatic_Main_Settings['deppl_free'])) {
                $deppl_free = $tgomatic_Main_Settings['deppl_free'];
            } else {
                $deppl_free = '';
            }
            if (isset($tgomatic_Main_Settings['translate'])) {
                $translate = $tgomatic_Main_Settings['translate'];
            } else {
                $translate = '';
            }
            if (isset($tgomatic_Main_Settings['second_translate'])) {
                $second_translate = $tgomatic_Main_Settings['second_translate'];
            } else {
                $second_translate = '';
            }
            if (isset($tgomatic_Main_Settings['translate_source'])) {
                $translate_source = $tgomatic_Main_Settings['translate_source'];
            } else {
                $translate_source = '';
            }
            if (isset($tgomatic_Main_Settings['spin_text'])) {
                $spin_text = $tgomatic_Main_Settings['spin_text'];
            } else {
                $spin_text = '';
            }
            if (isset($tgomatic_Main_Settings['google_trans_auth'])) {
                $google_trans_auth = $tgomatic_Main_Settings['google_trans_auth'];
            } else {
                $google_trans_auth = '';
            }
            if (isset($tgomatic_Main_Settings['best_user'])) {
                $best_user = $tgomatic_Main_Settings['best_user'];
            } else {
                $best_user = '';
            }
            if (isset($tgomatic_Main_Settings['no_title_spin'])) {
                $no_title_spin = $tgomatic_Main_Settings['no_title_spin'];
            } else {
                $no_title_spin = '';
            }
            if (isset($tgomatic_Main_Settings['exclude_words_title'])) {
                $exclude_words_title = $tgomatic_Main_Settings['exclude_words_title'];
            } else {
                $exclude_words_title = '';
            }
            if (isset($tgomatic_Main_Settings['tldr_max'])) {
                $tldr_max = $tgomatic_Main_Settings['tldr_max'];
            } else {
                $tldr_max = '';
            }
            if (isset($tgomatic_Main_Settings['tldr_min'])) {
                $tldr_min = $tgomatic_Main_Settings['tldr_min'];
            } else {
                $tldr_min = '';
            }
            if (isset($tgomatic_Main_Settings['wordai_uniqueness'])) {
                $wordai_uniqueness = $tgomatic_Main_Settings['wordai_uniqueness'];
            } else {
                $wordai_uniqueness = '';
            }
            if (isset($tgomatic_Main_Settings['exclude_words'])) {
                $exclude_words = $tgomatic_Main_Settings['exclude_words'];
            } else {
                $exclude_words = '';
            }
            if (isset($tgomatic_Main_Settings['best_password'])) {
                $best_password = $tgomatic_Main_Settings['best_password'];
            } else {
                $best_password = '';
            }
            if (isset($tgomatic_Main_Settings['scrapeimg_height'])) {
               $scrapeimg_height = $tgomatic_Main_Settings['scrapeimg_height'];
           } else {
               $scrapeimg_height = '';
           }
           if (isset($tgomatic_Main_Settings['attr_text'])) {
               $attr_text = $tgomatic_Main_Settings['attr_text'];
           } else {
               $attr_text = '';
           }
           if (isset($tgomatic_Main_Settings['scrapeimg_width'])) {
               $scrapeimg_width = $tgomatic_Main_Settings['scrapeimg_width'];
           } else {
               $scrapeimg_width = '';
           }
           if (isset($tgomatic_Main_Settings['scrapeimg_cat'])) {
               $scrapeimg_cat = $tgomatic_Main_Settings['scrapeimg_cat'];
           } else {
               $scrapeimg_cat = '';
           }
           if (isset($tgomatic_Main_Settings['scrapeimg_order'])) {
               $scrapeimg_order = $tgomatic_Main_Settings['scrapeimg_order'];
           } else {
               $scrapeimg_order = '';
           }
           if (isset($tgomatic_Main_Settings['scrapeimg_orientation'])) {
               $scrapeimg_orientation = $tgomatic_Main_Settings['scrapeimg_orientation'];
           } else {
               $scrapeimg_orientation = '';
           }
           if (isset($tgomatic_Main_Settings['imgtype'])) {
               $imgtype = $tgomatic_Main_Settings['imgtype'];
           } else {
               $imgtype = '';
           }
           if (isset($tgomatic_Main_Settings['img_order'])) {
               $img_order = $tgomatic_Main_Settings['img_order'];
           } else {
               $img_order = '';
           }
           if (isset($tgomatic_Main_Settings['scrapeimgtype'])) {
               $scrapeimgtype = $tgomatic_Main_Settings['scrapeimgtype'];
           } else {
               $scrapeimgtype = '';
           }
           if (isset($tgomatic_Main_Settings['pixabay_scrape'])) {
               $pixabay_scrape = $tgomatic_Main_Settings['pixabay_scrape'];
           } else {
               $pixabay_scrape = '';
           }
           if (isset($tgomatic_Main_Settings['img_editor'])) {
               $img_editor = $tgomatic_Main_Settings['img_editor'];
           } else {
               $img_editor = '';
           }
           if (isset($tgomatic_Main_Settings['litte_translate'])) {
               $litte_translate = $tgomatic_Main_Settings['litte_translate'];
           } else {
               $litte_translate = '';
           }
           if (isset($tgomatic_Main_Settings['img_language'])) {
               $img_language = $tgomatic_Main_Settings['img_language'];
           } else {
               $img_language = '';
           }
           if (isset($tgomatic_Main_Settings['unsplash_api'])) {
               $unsplash_api = $tgomatic_Main_Settings['unsplash_api'];
           } else {
               $unsplash_api = '';
           }
           if (isset($tgomatic_Main_Settings['google_images'])) {
               $google_images = $tgomatic_Main_Settings['google_images'];
           } else {
               $google_images = '';
           }
           if (isset($tgomatic_Main_Settings['img_ss'])) {
               $img_ss = $tgomatic_Main_Settings['img_ss'];
           } else {
               $img_ss = '';
           }
           if (isset($tgomatic_Main_Settings['img_mwidth'])) {
               $img_mwidth = $tgomatic_Main_Settings['img_mwidth'];
           } else {
               $img_mwidth = '';
           }
           if (isset($tgomatic_Main_Settings['img_width'])) {
               $img_width = $tgomatic_Main_Settings['img_width'];
           } else {
               $img_width = '';
           }
           if (isset($tgomatic_Main_Settings['img_cat'])) {
               $img_cat = $tgomatic_Main_Settings['img_cat'];
           } else {
               $img_cat = '';
           }
           if (isset($tgomatic_Main_Settings['pixabay_api'])) {
               $pixabay_api = $tgomatic_Main_Settings['pixabay_api'];
           } else {
               $pixabay_api = '';
           }
           if (isset($tgomatic_Main_Settings['pexels_api'])) {
               $pexels_api = $tgomatic_Main_Settings['pexels_api'];
           } else {
               $pexels_api = '';
           }
           if (isset($tgomatic_Main_Settings['bimage'])) {
               $bimage = $tgomatic_Main_Settings['bimage'];
           } else {
               $bimage = '';
           }
           if (isset($tgomatic_Main_Settings['no_orig'])) {
               $no_orig = $tgomatic_Main_Settings['no_orig'];
           } else {
               $no_orig = '';
           }
           if (isset($tgomatic_Main_Settings['flickr_order'])) {
               $flickr_order = $tgomatic_Main_Settings['flickr_order'];
           } else {
               $flickr_order = '';
           }
           if (isset($tgomatic_Main_Settings['flickr_license'])) {
               $flickr_license = $tgomatic_Main_Settings['flickr_license'];
           } else {
               $flickr_license = '';
           }
           if (isset($tgomatic_Main_Settings['flickr_api'])) {
               $flickr_api = $tgomatic_Main_Settings['flickr_api'];
           } else {
               $flickr_api = '';
           }
            if (isset($tgomatic_Main_Settings['email_address'])) {
                $email_address = $tgomatic_Main_Settings['email_address'];
            } else {
                $email_address = '';
            }
            if (isset($tgomatic_Main_Settings['translate'])) {
                $translate = $tgomatic_Main_Settings['translate'];
            } else {
                $translate = '';
            }
            if (isset($tgomatic_Main_Settings['translate_source'])) {
                $translate_source = $tgomatic_Main_Settings['translate_source'];
            } else {
                $translate_source = '';
            }
            if (isset($tgomatic_Main_Settings['spin_text'])) {
                $spin_text = $tgomatic_Main_Settings['spin_text'];
            } else {
                $spin_text = '';
            }
            if (isset($tgomatic_Main_Settings['best_user'])) {
                $best_user = $tgomatic_Main_Settings['best_user'];
            } else {
                $best_user = '';
            }
            if (isset($tgomatic_Main_Settings['best_password'])) {
                $best_password = $tgomatic_Main_Settings['best_password'];
            } else {
                $best_password = '';
            }
            if (isset($tgomatic_Main_Settings['min_word_title'])) {
                $min_word_title = $tgomatic_Main_Settings['min_word_title'];
            } else {
                $min_word_title = '';
            }
            if (isset($tgomatic_Main_Settings['max_word_title'])) {
                $max_word_title = $tgomatic_Main_Settings['max_word_title'];
            } else {
                $max_word_title = '';
            }
            if (isset($tgomatic_Main_Settings['min_word_content'])) {
                $min_word_content = $tgomatic_Main_Settings['min_word_content'];
            } else {
                $min_word_content = '';
            }
            if (isset($tgomatic_Main_Settings['max_word_content'])) {
                $max_word_content = $tgomatic_Main_Settings['max_word_content'];
            } else {
                $max_word_content = '';
            }
            if (isset($tgomatic_Main_Settings['required_words'])) {
                $required_words = $tgomatic_Main_Settings['required_words'];
            } else {
                $required_words = '';
            }
            if (isset($tgomatic_Main_Settings['banned_words'])) {
                $banned_words = $tgomatic_Main_Settings['banned_words'];
            } else {
                $banned_words = '';
            }
            if (isset($tgomatic_Main_Settings['skip_old'])) {
                $skip_old = $tgomatic_Main_Settings['skip_old'];
            } else {
                $skip_old = '';
            }
            if (isset($tgomatic_Main_Settings['skip_day'])) {
                $skip_day = $tgomatic_Main_Settings['skip_day'];
            } else {
                $skip_day = '';
            }
            if (isset($tgomatic_Main_Settings['skip_month'])) {
                $skip_month = $tgomatic_Main_Settings['skip_month'];
            } else {
                $skip_month = '';
            }
            if (isset($tgomatic_Main_Settings['skip_year'])) {
                $skip_year = $tgomatic_Main_Settings['skip_year'];
            } else {
                $skip_year = '';
            }
            if (isset($tgomatic_Main_Settings['custom_html2'])) {
                $custom_html2 = $tgomatic_Main_Settings['custom_html2'];
            } else {
                $custom_html2 = '';
            }
            if (isset($tgomatic_Main_Settings['custom_html'])) {
                $custom_html = $tgomatic_Main_Settings['custom_html'];
            } else {
                $custom_html = '';
            }
            if (isset($tgomatic_Main_Settings['skip_no_img'])) {
                $skip_no_img = $tgomatic_Main_Settings['skip_no_img'];
            } else {
                $skip_no_img = '';
            }
            if (isset($tgomatic_Main_Settings['strip_by_id'])) {
                $strip_by_id = $tgomatic_Main_Settings['strip_by_id'];
            } else {
                $strip_by_id = '';
            }
            if (isset($tgomatic_Main_Settings['strip_by_class'])) {
                $strip_by_class = $tgomatic_Main_Settings['strip_by_class'];
            } else {
                $strip_by_class = '';
            }
            if (isset($tgomatic_Main_Settings['app_id'])) {
                $app_id = $tgomatic_Main_Settings['app_id'];
            } else {
                $app_id = '';
            }
            if (isset($tgomatic_Main_Settings['resize_width'])) {
                $resize_width = $tgomatic_Main_Settings['resize_width'];
            } else {
                $resize_width = '';
            }
            if (isset($tgomatic_Main_Settings['copy_images'])) {
                $copy_images = $tgomatic_Main_Settings['copy_images'];
            } else {
                $copy_images = '';
            }
            if (isset($tgomatic_Main_Settings['resize_height'])) {
                $resize_height = $tgomatic_Main_Settings['resize_height'];
            } else {
                $resize_height = '';
            }
            if (isset($tgomatic_Main_Settings['do_not_check_duplicates'])) {
                $do_not_check_duplicates = $tgomatic_Main_Settings['do_not_check_duplicates'];
            } else {
                $do_not_check_duplicates = '';
            }
            if (isset($tgomatic_Main_Settings['links_hide'])) {
                $links_hide = $tgomatic_Main_Settings['links_hide'];
            } else {
                $links_hide = '';
            }
            if (isset($tgomatic_Main_Settings['links_hide_google'])) {
                $links_hide_google = $tgomatic_Main_Settings['links_hide_google'];
            } else {
                $links_hide_google = '';
            }
            if (isset($tgomatic_Main_Settings['links_hide_google2'])) {
                $links_hide_google2 = $tgomatic_Main_Settings['links_hide_google2'];
            } else {
                $links_hide_google2 = '';
            }
            if (isset($tgomatic_Main_Settings['apiKey'])) {
                $apiKey = $tgomatic_Main_Settings['apiKey'];
            } else {
                $apiKey = '';
            }
            if (isset($tgomatic_Main_Settings['gapiKey'])) {
                $gapiKey = $tgomatic_Main_Settings['gapiKey'];
            } else {
                $gapiKey = '';
            }
            if (isset($tgomatic_Main_Settings['fix_html'])) {
                $fix_html = $tgomatic_Main_Settings['fix_html'];
            } else {
                $fix_html = '';
            }
            $settings_failed = get_option('tgomatic_settings_failed', false);
            if ($settings_failed == '1') 
            {
                update_option('tgomatic_settings_failed', false);
?>
         <div id="messageerr" class="notice notice-error is-dismissible">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('An error occurred while setting up the Telegram Bot. Please check plugin\'s log for more info.', 'tgomatic-telegram-bot');?></strong></p>
         </div>
<?php
            }
            elseif ($settings_failed == '2') 
            {
                update_option('tgomatic_settings_failed', false);
?>
         <div id="messageerr" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Bot Token successfully validated!', 'tgomatic-telegram-bot');?></strong></p>
         </div>
<?php
            }
            if (isset($_GET['settings-updated'])) {
            ?>
         <div id="messageup" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'tgomatic-telegram-bot');?></strong></p>
         </div>
         <?php
            $get = get_option('coderevolution_settings_changed', 0);
            if($get == 1)
            {
                delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'tgomatic-telegram-bot');?></strong></p>
         </div>
         <?php 
            }
            elseif($get == 2)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'tgomatic-telegram-bot');?></strong></p>
         </div>
         <?php 
            }
            elseif($get != 0)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html($get);?></strong></p>
         </div>
         <?php 
            }
                }
            ?>
         <div>
            <div class="tgomatic_class">
               <table class="widefat">
                  <tr>
                     <td>
                        <h1>
                           <span class="gs-sub-heading"><b>TGomatic Telegram Bot Plugin - <?php echo esc_html__('Main Switch:', 'tgomatic-telegram-bot');?></b>&nbsp;</span>
                           <span class="cr_07_font">v1.0&nbsp;</span>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Enable or disable this plugin. This acts like a main switch.", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                        </h1>
                     </td>
                     <td>
                        <div class="slideThree">	
                           <input class="input-checkbox" type="checkbox" id="tgomatic_enabled" name="tgomatic_Main_Settings[tgomatic_enabled]"<?php
                              if ($tgomatic_enabled == 'on')
                                  echo ' checked ';
                              ?>>
                           <label for="tgomatic_enabled"></label>
                        </div>
                     </td>
                  </tr>
               </table>
            </div>
            <div><?php if($tgomatic_enabled != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'tgomatic-telegram-bot') . '</div>';}?>
               <table class="widefat">
                  <tr>
                     <td colspan="2">
                        <?php
                           $plugin = plugin_basename(__FILE__);
                           $plugin_slug = explode('/', $plugin);
                           $plugin_slug = $plugin_slug[0]; 
                           $uoptions = get_option($plugin_slug . '_registration', array());
                           if(isset($uoptions['item_id']) && isset($uoptions['item_name']) && isset($uoptions['created_at']) && isset($uoptions['buyer']) && isset($uoptions['licence']) && isset($uoptions['supported_until']))
                           {
                           ?>
                        <h3><b><?php echo esc_html__("Plugin Registration Info - Automatic Updates Enabled:", 'tgomatic-telegram-bot');?></b> </h3>
                        <ul>
                           <li><b><?php echo esc_html__("Item Name:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['item_name']);?></li>
                           <li>
                              <b><?php echo esc_html__("Item ID:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['item_id']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Created At:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['created_at']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Buyer Name:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['buyer']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("License Type:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['licence']);?>
                           </li>
                           <li>
                              <b><?php echo esc_html__("Supported Until:", 'tgomatic-telegram-bot');?></b> <?php echo esc_html($uoptions['supported_until']);?>
                           </li>
                           <li>
                              <input type="submit" onclick="unsaved = false;" class="button button-primary" name="<?php echo esc_html($plugin_slug);?>_revoke_license" value="<?php echo esc_html__("Revoke License", 'tgomatic-telegram-bot');?>">
                           </li>
                        </ul>
                        <?php
                           }
                           else
                           {
                           ?>
                        <div class="notice notice-error is-dismissible"><p><?php echo esc_html__("This is a trial version of the plugin. Automatic updates for this plugin are disabled. Please activate the plugin from below, so you can benefit of automatic updates for it!", 'tgomatic-telegram-bot');?></p></div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo sprintf( wp_kses( __( 'Please input your Envato purchase code, to enable automatic updates in the plugin. To get your purchase code, please follow <a href="%s" target="_blank">this tutorial</a>. Info submitted to the registration server consists of: purchase code, site URL, site name, admin email. All these data will be used strictly for registration purposes.', 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base/faq/how-do-i-find-my-items-purchase-code-for-plugin-license-activation/' ) );
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Register Envato Purchase Code To Enable Automatic Updates:", 'tgomatic-telegram-bot');?></b>
                     </td>
                     <td><input type="text" name="<?php echo esc_html($plugin_slug);?>_register_code" value="" placeholder="<?php echo esc_html__("Envato Purchase Code", 'tgomatic-telegram-bot');?>"></td>
                  </tr>
                  <tr>
                     <td></td>
                     <td><input type="submit" name="<?php echo esc_html($plugin_slug);?>_register" id="<?php echo esc_html($plugin_slug);?>_register" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Register Purchase Code", 'tgomatic-telegram-bot');?>"/>
                        <?php
                           }
                           ?>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <hr/>
                     </td>
                     <td>
                        <hr/>
                     </td>
                  </tr>
               <tr><td colspan="2">
               <h3>
               <?php echo esc_html__("Tips and Tricks for Using the Plugin:", 'tgomatic-telegram-bot');?>
               </h3>
                  <ul>
                     <li><?php echo sprintf( wp_kses( __( 'Need help configuring this plugin? Please check out it\'s <a href="%s" target="_blank">video tutorial</a>.', 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://youtu.be/cfpz6iYMdN0' ) );?>
                     </li>
                     <li><?php echo sprintf( wp_kses( __( 'Having issues with the plugin? Please be sure to check out our <a href="%s" target="_blank">knowledge-base</a> before you contact <a href="%s" target="_blank">our support</a>!', 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base' ), esc_url('//coderevolution.ro/support' ) );?></li>
                     <li><?php echo sprintf( wp_kses( __( 'Do you enjoy our plugin? Please give it a <a href="%s" target="_blank">rating</a>  on CodeCanyon, or check <a href="%s" target="_blank">our website</a>  for other cool plugins.', 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//codecanyon.net/downloads' ), esc_url( 'https://coderevolution.ro' ) );?></a></li>
                     <li>
               <div class="hideInfo">
                  <b><span class="cr_color_red"><?php echo esc_html__("Info: You have to create a Telegram Bot before filling the following details (if you do not have one). Please click", 'tgomatic-telegram-bot');?> <a href="https://youtube.com/watch?v=cfpz6iYMdN0" target="_blank"><?php echo esc_html__("here", 'tgomatic-telegram-bot');?></a> <?php echo esc_html__("to learn how to create a new Telegram Bot.", 'tgomatic-telegram-bot');?></span></b>
               </div>
                     </li>
               </ul>
               <hr/>
               <table class="widefat">
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "Insert your Telegram Bot Token. Learn how to get one <a href='%s' target='_blank'>here</a>.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url('https://youtube.com/watch?v=cfpz6iYMdN0') );
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Telegram Bot Token:", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="password" autocomplete="off" id="app_id" name="tgomatic_Main_Settings[app_id]" value="<?php
                              echo esc_html($app_id);
                              ?>" placeholder="<?php echo esc_html__("Please insert your Telegram Bot Token", 'tgomatic-telegram-bot');?>" class="cr_width_full">
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td></td>
                     <td><input type="submit" name="tgbtnSubmitApp" id="tgbtnSubmitApp" class="button button-primary" onclick="unsaved = false;" value="Save and Validate Bot Token"/>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <hr/>
                     </td>
                     <td>
                        <hr/>
                     </td>
                  </tr>
                  <tr>
                     <td><a name="user" href="admin.php?page=tgomatic_telegram_panel">- <?php echo esc_html__("Blog Posts", 'tgomatic-telegram-bot');?> -> Telegram -</a></td>
                     <td>
                        (<?php echo esc_html__("using latest published posts from your blog", 'tgomatic-telegram-bot');?>)
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Telegram posts will be generated from the latest published blog posts. Posts will be posted by the Telegram user associated with the App ID entered.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <hr/>
                     </td>
                     <td>
                        <hr/>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <h3><?php echo esc_html__("Plugin Options:", 'tgomatic-telegram-bot');?></h3>
                     </td>
                  </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "If you wish to use Microsoft for translation, you must enter first a Microsoft 'Access Key'. Learn how to get one <a href='%s' target='_blank'>here</a>. If you enter a value here, new options will become available in the 'Automatically Translate Content To' and 'Source Language' fields.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/' ) );
                           ?>
                     </div>
                  </div>
                  <b><a href="https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/" target="_blank"><?php echo esc_html__("Microsoft Translator Access Key (Optional)", 'tgomatic-telegram-bot');?>:</a></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="password" autocomplete="off" id="bing_auth" placeholder="<?php echo esc_html__("Access key (optional)", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[bing_auth]" value="<?php
                     echo esc_html($bing_auth);
                     ?>"/>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "If you selected a specific region in your Azure Microsoft account, you must enter it here. Learn more <a href='%s' target='_blank'>here</a>. The default is global.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/' ) );
                           ?>
                     </div>
                  </div>
                  <b><a href="https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/" target="_blank"><?php echo esc_html__("Microsoft Translator Region Code (Optional)", 'tgomatic-telegram-bot');?>:</a></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="text" id="bing_region" placeholder="<?php echo esc_html__("global", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[bing_region]" value="<?php
                     echo esc_html($bing_region);
                     ?>"/>
               </div>
            </td>
         </tr>
          <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "If you wish to use the official version of the Google Translator API for translation, you must enter first a Google API Key. Get one <a href='%s' target='_blank'>here</a>.  Please enable the 'Cloud Translation API' in <a href='%s' target='_blank'>Google Cloud Console</a>. Translation will work even without even without entering an API key here, but in this case, an unofficial Google Translate API will be used.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://console.cloud.google.com/apis/credentials' ), esc_url( 'https://console.cloud.google.com/marketplace/browse?q=translate' ) );
                           ?>
                     </div>
                  </div>
                  <b><a href="https://console.cloud.google.com/apis/credentials" target="_blank"><?php echo esc_html__("Google Translator API Key (Optional)", 'tgomatic-telegram-bot');?>:</a></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="password" autocomplete="off" id="google_trans_auth" placeholder="<?php echo esc_html__("API Key (optional)", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[google_trans_auth]" value="<?php
                     echo esc_html($google_trans_auth);
                     ?>"/>
               </div>
            </td>
         </tr>
          <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "If you wish to use DeepL for translation, you must enter first a DeepL 'Authentication Key'. Get one <a href='%s' target='_blank'>here</a>. If you enter a value here, new options will become available in the 'Automatically Translate Content To' and 'Source Language' fields.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.deepl.com/subscription.html' ) );
                           ?>
                     </div>
                  </div>
                  <b><a href="https://www.deepl.com/subscription.html" target="_blank"><?php echo esc_html__("DeepL Translator Authentication Key (Optional)", 'tgomatic-telegram-bot');?>:</a></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="password" autocomplete="off" id="deepl_auth" placeholder="<?php echo esc_html__("Auth key (optional)", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[deepl_auth]" value="<?php
                     echo esc_html($deepl_auth);
                     ?>"/>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Check this checkbox if the above API key is a DeepL free plan key. If it is a PRO key, please uncheck this checkbox.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("The Above Is A DeepL Free API Key:", 'tgomatic-telegram-bot');?></b>
            </td>
            <td>
            <input type="checkbox" id="deppl_free" name="tgomatic_Main_Settings[deppl_free]"<?php
               if ($deppl_free == 'on')
                  echo ' checked ';
               ?>>
            </div>
            </td>
         </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("If you want to use a proxy to crawl webpages, input it's address here. Required format: IP Address/URL:port", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Web Proxy Address:", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="text" id="proxy_url" placeholder="<?php echo esc_html__("Input web proxy url", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[proxy_url]" value="<?php echo esc_html($proxy_url);?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to enable logging for rules?", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Enable Logging for Rules:", 'tgomatic-telegram-bot');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="enable_logging" name="tgomatic_Main_Settings[enable_logging]" onclick="mainChanged()"<?php
                        if ($enable_logging == 'on')
                            echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideLog">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to enable detailed logging for rules? Note that this will dramatically increase the size of the log this plugin generates.", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Enable Detailed Logging for Rules:", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideLog">
                           <input type="checkbox" id="enable_detailed_logging" name="tgomatic_Main_Settings[enable_detailed_logging]"<?php
                              if ($enable_detailed_logging == 'on')
                                  echo ' checked ';
                              ?>>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideLog">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Choose if you want to automatically clear logs after a period of time.", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Automatically Clear Logs After:", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideLog">
                           <select id="auto_clear_logs" name="tgomatic_Main_Settings[auto_clear_logs]" >
                              <option value="No"<?php
                                 if ($auto_clear_logs == "No") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Disabled", 'tgomatic-telegram-bot');?></option>
                              <option value="monthly"<?php
                                 if ($auto_clear_logs == "monthly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a month", 'tgomatic-telegram-bot');?></option>
                              <option value="weekly"<?php
                                 if ($auto_clear_logs == "weekly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a week", 'tgomatic-telegram-bot');?></option>
                              <option value="daily"<?php
                                 if ($auto_clear_logs == "daily") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a day", 'tgomatic-telegram-bot');?></option>
                              <option value="twicedaily"<?php
                                 if ($auto_clear_logs == "twicedaily") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Twice a day", 'tgomatic-telegram-bot');?></option>
                              <option value="hourly"<?php
                                 if ($auto_clear_logs == "hourly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once an hour", 'tgomatic-telegram-bot');?></option>
                           </select>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the timeout (in seconds) for every rule running. I recommend that you leave this field at it's default value (3600).", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Timeout for Rule Running (seconds):", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="rule_timeout" step="1" min="0" class="cr_width_full" placeholder="<?php echo esc_html__("Input rule timeout in seconds", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[rule_timeout]" value="<?php
                              echo esc_html($rule_timeout);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Choose if you want to automatically shorten exported URLs using Bitly URL shortener.", 'tgomatic-telegram-bot');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Shorten Exported URLs To Telegram Using Bitly:", 'tgomatic-telegram-bot');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="links_hide_google2" name="tgomatic_Main_Settings[links_hide_google2]" onclick="mainChanged()"<?php
                        if ($links_hide_google2 == 'on')
                            echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideGoogl">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "Insert your Bitly API generic access token. To register at Bitly, please visit <a href='%s' target='_blank'>this link</a>. To get a generic access token, please click the menu icon on the top right of the web (after you log in) -> click the '>' sign next to your account name -> click the 'Generic Access Token' menu entry -> enter your password in the 'Password' field and click 'Generate Token'. Copy the resulting token here. To lean more about this, please check <a href='%s' target='_blank'>this video</a>.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://bitly.com/a/sign_up?utm_content=site-free-button&utm_source=organic&utm_medium=website&utm_campaign=null&utm_cta=site-free-button' ), esc_url('//www.youtube.com/watch?v=cfpz6iYMdN0') );
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Bitly API Generic Access Token:", 'tgomatic-telegram-bot');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideGoogl">
                           <input type="password" name="tgomatic_Main_Settings[gapiKey]" value="<?php echo esc_html($gapiKey);?>" placeholder="<?php echo esc_html__("Please insert your Bitly API Generic Access Token", 'tgomatic-telegram-bot');?>">
                        </div>
                     </td>
                  </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "Do you want to automatically translate generated content using? This settings is overwritten if you define translation settings from within the importing rule settings. If you wish to use DeepL for translation, you must enter first a DeepL 'Authentication Key'. Get one <a href='%s' target='_blank'>here</a>.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.deepl.com/subscription.html' ) );
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Automatically Translate Content To (Global):", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <select class="cr_width_full" id="translate" name="tgomatic_Main_Settings[translate]" >
                  <?php
                     $i = 0;
                     foreach ($language_names as $lang) {
                         echo '<option value="' . esc_html($language_codes[$i]) . '"';
                         if ($translate == $language_codes[$i]) {
                             echo ' selected';
                         }
                         echo '>' . esc_html($language_names[$i]) . '</option>';
                         $i++;
                     }
                     if($deepl_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_deepl as $lang) {
                             echo '<option value="' . esc_html($language_codes_deepl[$i]) . '"';
                             if ($translate == $language_codes_deepl[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_deepl[$i]) . '</option>';
                             $i++;
                         }
                     }
                     if($bing_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_bing as $lang) {
                             echo '<option value="' . esc_html($language_codes_bing[$i]) . '"';
                             if ($translate == $language_codes_bing[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_bing[$i]) . '</option>';
                             $i++;
                         }
                     }
                     ?>
                  </select>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to automatically translate generated content a second time, to this final language? In some cases, this can replace word spinning of scraped content. Please note that this can increase the amount of requests made to the translation APIs. This field has no effect if you don't set also a first translation language, in the settings field from above.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Do Also A Second Translation To (Global):", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <select class="cr_width_full" id="second_translate" name="tgomatic_Main_Settings[second_translate]" >
                  <?php
                     $i = 0;
                     foreach ($language_names as $lang) {
                         echo '<option value="' . esc_html($language_codes[$i]) . '"';
                         if ($second_translate == $language_codes[$i]) {
                             echo ' selected';
                         }
                         echo '>' . esc_html($language_names[$i]) . '</option>';
                         $i++;
                     }
                     if($deepl_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_deepl as $lang) {
                             echo '<option value="' . esc_html($language_codes_deepl[$i]) . '"';
                             if ($second_translate == $language_codes_deepl[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_deepl[$i]) . '</option>';
                             $i++;
                         }
                     }
                     if($bing_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_bing as $lang) {
                             echo '<option value="' . esc_html($language_codes_bing[$i]) . '"';
                             if ($second_translate == $language_codes_bing[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_bing[$i]) . '</option>';
                             $i++;
                         }
                     }
                     ?>
                  </select>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to automatically translate generated content using Google Translate? Here you can define the translation's source language. This settings is overwritten if you define translation settings from within the importing rule settings.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Translation Source Language (Global):", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <select class="cr_width_full" id="translate_source" name="tgomatic_Main_Settings[translate_source]" >
                  <?php
                     $i = 0;
                     foreach ($language_names as $lang) {
                         echo '<option value="' . esc_html($language_codes[$i]) . '"';
                         if ($translate_source == $language_codes[$i]) {
                             echo ' selected';
                         }
                         echo '>' . esc_html($language_names[$i]) . '</option>';
                         $i++;
                     }
                     if($deepl_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_deepl as $lang) {
                             echo '<option value="' . esc_html($language_codes_deepl[$i]) . '"';
                             if ($translate_source == $language_codes_deepl[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_deepl[$i]) . '</option>';
                             $i++;
                         }
                     }
                     if($bing_auth != '')
                     {
                         $i = 0;
                         foreach ($language_names_bing as $lang) {
                             echo '<option value="' . esc_html($language_codes_bing[$i]) . '"';
                             if ($translate_source == $language_codes_bing[$i]) {
                                 echo ' selected';
                             }
                             echo '>' . esc_html($language_names_bing[$i]) . '</option>';
                             $i++;
                         }
                     }
                     ?>
                  </select>
               </div>
            </td>
         </tr>
          <tr>
             <td>
                <div>
                   <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                      <div class="bws_hidden_help_text cr_min_260px">
                         <?php
                            echo esc_html__("Do you want to spin/translate only the imported article's title and content (not the whole post content - with additional content added to it from plugin settings)?", 'tgomatic-telegram-bot');
                            ?>
                      </div>
                   </div>
                   <b><?php echo esc_html__("Spin/Translate Only Imported Article Title/Content:", 'tgomatic-telegram-bot');?></b>
             </td>
             <td>
             <input type="checkbox" id="litte_translate" name="tgomatic_Main_Settings[litte_translate]"<?php
                if ($litte_translate == 'on')
                    echo ' checked ';
                ?>>
             </div>
             </td>
          </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Choose if you want to import also posts that were not translated correctly - they will be imported in original language. If you check this, posts that failed translation will be not imported.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Skip Posts That Did Not Translate Correctly:", 'tgomatic-telegram-bot');?></b>
            </td>
            <td>
            <input type="checkbox" id="skip_failed_tr" name="tgomatic_Main_Settings[skip_failed_tr]"<?php
               if ($skip_failed_tr == 'on')
                   echo ' checked ';
               ?>>
            </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to keep original link sources after translation? If you uncheck this, links will point to Google Translate version of the linked website.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Keep Original Link Source After Translation:", 'tgomatic-telegram-bot');?></b>
            </td>
            <td>
            <input type="checkbox" id="no_link_translate" name="tgomatic_Main_Settings[no_link_translate]"<?php
               if ($no_link_translate == 'on')
                   echo ' checked ';
               ?>>
            </div>
            </td>
         </tr>
         <tr>
            <td>
               <div id="tldrspin">
                  <p><?php echo esc_html__("Don't have an 'TLDRThis' account yet? Click here to get one:", 'tgomatic-telegram-bot');?> <b><a href="https://rapidapi.com/tldrthishq-tldrthishq-default/api/tldrthis/" target="_blank"><?php echo esc_html__("get a new account now!", 'tgomatic-telegram-bot');?></a></b></p>
               </div>
               <div id="bestspin">
                  <p><?php echo esc_html__("Don't have an 'The Best Spinner' account yet? Click here to get one:", 'tgomatic-telegram-bot');?> <b><a href="https://paykstrt.com/10313/38910" target="_blank"><?php echo esc_html__("get a new account now!", 'tgomatic-telegram-bot');?></a></b></p>
               </div>
               <div id="wordai">
                  <p><?php echo esc_html__("Don't have an 'WordAI' account yet? Click here to get one:", 'tgomatic-telegram-bot');?> <b><a href="https://wordai.com/?ref=h17f4" target="_blank"><?php echo esc_html__("get a new account now!", 'tgomatic-telegram-bot');?></a></b></p>
               </div>
               <div id="spinrewriter">
                  <p><?php echo esc_html__("Don't have an 'SpinRewriter' account yet? Click here to get one:", 'tgomatic-telegram-bot');?> <b><a href="https://www.spinrewriter.com/?ref=24b18" target="_blank"><?php echo esc_html__("get a new account now!", 'tgomatic-telegram-bot');?></a></b></p>
               </div>
               <div id="spinnerchief">
                  <p><?php echo esc_html__("Don't have an 'SpinnerChief' account yet? Click here to get one:", 'tgomatic-telegram-bot');?> <b><a href="http://www.whitehatbox.com/Agents/SSS?code=iscpuQScOZMi3vGFhPVBnAP5FyC6mPaOEshvgU4BbyoH8ftVRbM3uQ==" target="_blank"><?php echo esc_html__("get a new account now!", 'tgomatic-telegram-bot');?></a></b></p>
              </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to randomize text by changing words of a text with synonyms using one of the listed methods? Note that this is an experimental feature and can in some instances drastically increase the rule running time!", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Spin Text Using Word Synonyms (for automatically generated posts only):", 'tgomatic-telegram-bot');?></b>
            </td>
            <td>
            <select class="cr_width_full" id="spin_text" name="tgomatic_Main_Settings[spin_text]" onchange="mainChanged()">
            <option value="disabled"
               <?php
                  if ($spin_text == 'disabled') {
                      echo ' selected';
                  }
                  ?>
               ><?php echo esc_html__("Disabled", 'tgomatic-telegram-bot');?></option>
            <option value="best"
               <?php
                  if ($spin_text == 'best') {
                      echo ' selected';
                  }
                  ?>
               >The Best Spinner - <?php echo esc_html__("High Quality - Paid", 'tgomatic-telegram-bot');?></option>
            <option value="wordai"
               <?php
                  if($spin_text == 'wordai')
                          {
                              echo ' selected';
                          }
                  ?>
               >Wordai - <?php echo esc_html__("High Quality - Paid", 'tgomatic-telegram-bot');?></option>
            <option value="spinrewriter"
               <?php
                  if($spin_text == 'spinrewriter')
                          {
                              echo ' selected';
                          }
                  ?>
               >SpinRewriter - <?php echo esc_html__("High Quality - Paid", 'tgomatic-telegram-bot');?></option>
               <option value="spinnerchief"
               <?php
                  if($spin_text == 'spinnerchief')
                          {
                              echo ' selected';
                          }
                  ?>
               >SpinnerChief - <?php echo esc_html__("High Quality - Paid", 'tgomatic-telegram-bot');?></option>
            <option value="builtin"
               <?php
                  if ($spin_text == 'builtin') {
                      echo ' selected';
                  }
                  ?>
               ><?php echo esc_html__("Built-in - Medium Quality - Free", 'tgomatic-telegram-bot');?></option>
            <option value="tldr"
            <?php
               if ($spin_text == 'tldr') {
                     echo ' selected';
               }
               ?>
            ><?php echo esc_html__("TLDRThis - Text Summarizer - Paid", 'tgomatic-telegram-bot');?></option> 
            </select>
            </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to not spin title (only content)?", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Do Not Spin Title:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="checkbox" id="no_title_spin" name="tgomatic_Main_Settings[no_title_spin]"<?php
                     if ($no_title_spin == 'on')
                         echo ' checked ';
                     ?>>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Select a list of comma separated words that you do not wish to spin (for built-in spinners and SpinRewriter).", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Excluded Word List (For Built-In Spinner and SpinRewriter):", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="text" name="tgomatic_Main_Settings[exclude_words]" value="<?php
                     echo esc_html($exclude_words);
                     ?>" placeholder="<?php echo esc_html__("word1, word2, word3", 'tgomatic-telegram-bot');?>">
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Do you want to automatically add the keywords found int he title to the spin exclusion list?", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Automatically Add Title Keywords To Excluded List:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="checkbox" id="exclude_words_title" name="tgomatic_Main_Settings[exclude_words_title]"<?php
                     if ($exclude_words_title == 'on')
                         echo ' checked ';
                     ?>>
               </div>
            </td>
         </tr>
         <tr class="hideWord">
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Set WordAI spinning uniqueness. Depend on how conservative vs adventurous you want your rewrite to be.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("WordAI Spinning Uniqueness:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <select class="cr_width_80" name="tgomatic_Main_Settings[wordai_uniqueness]" >
                     <option value='1'<?php
                        if ($wordai_uniqueness == '1')
                            echo ' selected';
                        ?>><?php echo esc_html__("More Conservative", 'tgomatic-telegram-bot');?></option>
                     <option value='2'<?php
                        if ($wordai_uniqueness == '2')
                            echo ' selected';
                        ?>><?php echo esc_html__("Regular", 'tgomatic-telegram-bot');?></option>
                     <option value='3'<?php
                        if ($wordai_uniqueness == '3')
                            echo ' selected';
                        ?>><?php echo esc_html__("More Adventurous", 'tgomatic-telegram-bot');?></option>
                  </select> 
               </div>
            </td>
         </tr>
         <tr class="hideTLDR">
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Set the minimum content length for TLDRThis summarizer.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('TLDRThis Minimum Content Length: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
            <input type="number" id="tldr_min" step="1" min="100" max="300" placeholder="<?php echo esc_html__("Minimum length", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[tldr_min]" value="<?php echo esc_html($tldr_min);?>"/>
            </td>
         </tr>
         <tr class="hideTLDR">
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Set the maximum content length for TLDRThis summarizer.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('TLDRThis Maximum Content Length: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
            <input type="number" id="tldr_max" step="1" min="100" max="300" placeholder="<?php echo esc_html__("Maximum length", 'tgomatic-telegram-bot');?>" name="tgomatic_Main_Settings[tldr_max]" value="<?php echo esc_html($tldr_max);?>"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="hideBest">
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Insert your user name on premium spinner service.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Premium Spinner Service User Name/Email:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div class="hideBest">
                  <input type="text" name="tgomatic_Main_Settings[best_user]" value="<?php
                     echo esc_html($best_user);
                     ?>" placeholder="<?php echo esc_html__("Please insert your premium text spinner service user name", 'tgomatic-telegram-bot');?>">
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div class="hideBest2">
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Insert your password for the selected premium spinner service.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Premium Spinner Service Password/API Key:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div class="hideBest2">
                  <input type="password" autocomplete="off" name="tgomatic_Main_Settings[best_password]" value="<?php
                     echo esc_html($best_password);
                     ?>" placeholder="<?php echo esc_html__("Please insert your premium text spinner service password", 'tgomatic-telegram-bot');?>">
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <hr/>
            </td>
            <td>
               <hr/>
            </td>
         </tr>
                  <tr>
            <td colspan="2">
               <h3><?php echo esc_html__("Royalty Free Featured Image Importing Options:", 'tgomatic-telegram-bot');?></h3>
            </td></tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "Insert your Pexels App ID. Learn how to get an API key <a href='%s' target='_blank'>here</a>. If you enter an API Key and an API Secret, you will enable search for images using the Pexels API.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( "https://www.pexels.com/api/" ));
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Pexels App ID:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="text" name="tgomatic_Main_Settings[pexels_api]" value="<?php
                     echo esc_html($pexels_api);
                     ?>" placeholder="<?php echo esc_html__("Please insert your Pexels API key", 'tgomatic-telegram-bot');?>">
               </div>
            </td>
         </tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo sprintf( wp_kses( __( "Insert your Flickr App ID. Learn how to get an API key <a href='%s' target='_blank'>here</a>. If you enter an API Key and an API Secret, you will enable search for images using the Flickr API.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( "https://www.flickr.com/services/apps/create/apply" ));
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Flickr App ID: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="text" name="tgomatic_Main_Settings[flickr_api]" placeholder="<?php echo esc_html__("Please insert your Flickr APP ID", 'tgomatic-telegram-bot');?>" value="<?php if(isset($flickr_api)){echo esc_html($flickr_api);}?>" class="cr_width_full" />
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("The license id for photos to be searched.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Photo License: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[flickr_license]" class="cr_width_full">
                  <option value="-1" 
                     <?php
                        if($flickr_license == '-1')
                        {
                            echo ' selected';
                        }
                        ?>
                     ><?php echo esc_html__("Do Not Search By Photo Licenses", 'tgomatic-telegram-bot');?></option>
                  <option value="0"
                     <?php
                        if($flickr_license == '0')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("All Rights Reserved", 'tgomatic-telegram-bot');?></option>
                  <option value="1"
                     <?php
                        if($flickr_license == '1')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution-NonCommercial-ShareAlike License", 'tgomatic-telegram-bot');?></option>
                  <option value="2"
                     <?php
                        if($flickr_license == '2')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution-NonCommercial License", 'tgomatic-telegram-bot');?></option>
                  <option value="3"
                     <?php
                        if($flickr_license == '3')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution-NonCommercial-NoDerivs License", 'tgomatic-telegram-bot');?></option>
                  <option value="4"
                     <?php
                        if($flickr_license == '4')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution License", 'tgomatic-telegram-bot');?></option>
                  <option value="5"
                     <?php
                        if($flickr_license == '5')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution-ShareAlike License", 'tgomatic-telegram-bot');?></option>
                  <option value="6"
                     <?php
                        if($flickr_license == '6')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Attribution-NoDerivs License", 'tgomatic-telegram-bot');?></option>
                  <option value="7"
                     <?php
                        if($flickr_license == '7')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("No known copyright restrictions", 'tgomatic-telegram-bot');?></option>
                  <option value="8"
                     <?php
                        if($flickr_license == '8')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("United States Government Work", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("The order in which to sort returned photos. Deafults to date-posted-desc (unless you are doing a radial geo query, in which case the default sorting is by ascending distance from the point specified).", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Search Results Order: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[flickr_order]" class="cr_width_full">
                  <option value="date-posted-desc"
                     <?php
                        if($flickr_order == 'date-posted-desc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Date Posted Descendant", 'tgomatic-telegram-bot');?></option>
                  <option value="date-posted-asc"
                     <?php
                        if($flickr_order == 'date-posted-asc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Date Posted Ascendent", 'tgomatic-telegram-bot');?></option>
                  <option value="date-taken-asc"
                     <?php
                        if($flickr_order == 'date-taken-asc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Date Taken Ascendent", 'tgomatic-telegram-bot');?></option>
                  <option value="date-taken-desc"
                     <?php
                        if($flickr_order == 'date-taken-desc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Date Taken Descendant", 'tgomatic-telegram-bot');?></option>
                  <option value="interestingness-desc"
                     <?php
                        if($flickr_order == 'interestingness-desc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Interestingness Descendant", 'tgomatic-telegram-bot');?></option>
                  <option value="interestingness-asc"
                     <?php
                        if($flickr_order == 'interestingness-asc')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Interestingness Ascendant", 'tgomatic-telegram-bot');?></option>
                  <option value="relevance"
                     <?php
                        if($flickr_order == 'relevance')
                        {
                            echo ' selected';
                        }
                        ?>><?php echo esc_html__("Relevance", 'tgomatic-telegram-bot');?></option>
               </select>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         </td></tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo sprintf( wp_kses( __( "Insert your Pixabay App ID. Learn how to get one <a href='%s' target='_blank'>here</a>. If you enter an API Key here, you will enable search for images using the Pixabay API.", 'tgomatic-telegram-bot'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( "https://pixabay.com/api/docs/" ) );
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Pixabay App ID:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <input type="text" name="tgomatic_Main_Settings[pixabay_api]" value="<?php
                     echo esc_html($pixabay_api);
                     ?>" placeholder="<?php echo esc_html__("Please insert your Pixabay API key", 'tgomatic-telegram-bot');?>">
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div>
                  <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                     <div class="bws_hidden_help_text cr_min_260px">
                        <?php
                           echo esc_html__("Filter results by image type.", 'tgomatic-telegram-bot');
                           ?>
                     </div>
                  </div>
                  <b><?php echo esc_html__("Image Types To Search:", 'tgomatic-telegram-bot');?></b>
               </div>
            </td>
            <td>
               <div>
                  <select class="cr_width_full" name="tgomatic_Main_Settings[imgtype]" >
                     <option value='all'<?php
                        if ($imgtype == 'all')
                            echo ' selected';
                        ?>><?php echo esc_html__("All", 'tgomatic-telegram-bot');?></option>
                     <option value='photo'<?php
                        if ($imgtype == 'photo')
                            echo ' selected';
                        ?>><?php echo esc_html__("Photo", 'tgomatic-telegram-bot');?></option>
                     <option value='illustration'<?php
                        if ($imgtype == 'illustration')
                            echo ' selected';
                        ?>><?php echo esc_html__("Illustration", 'tgomatic-telegram-bot');?></option>
                     <option value='vector'<?php
                        if ($imgtype == 'vector')
                            echo ' selected';
                        ?>><?php echo esc_html__("Vector", 'tgomatic-telegram-bot');?></option>
                  </select>
               </div>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Order results by a predefined rule.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Results Order: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[img_order]" class="cr_width_full">
                  <option value="popular"<?php
                     if ($img_order == "popular") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Popular", 'tgomatic-telegram-bot');?></option>
                  <option value="latest"<?php
                     if ($img_order == "latest") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Latest", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Filter results by image category.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Category: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[img_cat]" class="cr_width_full">
                  <option value="all"<?php
                     if ($img_cat == "all") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("All", 'tgomatic-telegram-bot');?></option>
                  <option value="fashion"<?php
                     if ($img_cat == "fashion") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Fashion", 'tgomatic-telegram-bot');?></option>
                  <option value="nature"<?php
                     if ($img_cat == "nature") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Nature", 'tgomatic-telegram-bot');?></option>
                  <option value="backgrounds"<?php
                     if ($img_cat == "backgrounds") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Backgrounds", 'tgomatic-telegram-bot');?></option>
                  <option value="science"<?php
                     if ($img_cat == "science") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Science", 'tgomatic-telegram-bot');?></option>
                  <option value="education"<?php
                     if ($img_cat == "education") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Education", 'tgomatic-telegram-bot');?></option>
                  <option value="people"<?php
                     if ($img_cat == "people") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("People", 'tgomatic-telegram-bot');?></option>
                  <option value="feelings"<?php
                     if ($img_cat == "feelings") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Feelings", 'tgomatic-telegram-bot');?></option>
                  <option value="religion"<?php
                     if ($img_cat == "religion") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Religion", 'tgomatic-telegram-bot');?></option>
                  <option value="health"<?php
                     if ($img_cat == "health") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Health", 'tgomatic-telegram-bot');?></option>
                  <option value="places"<?php
                     if ($img_cat == "places") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Places", 'tgomatic-telegram-bot');?></option>
                  <option value="animals"<?php
                     if ($img_cat == "animals") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Animals", 'tgomatic-telegram-bot');?></option>
                  <option value="industry"<?php
                     if ($img_cat == "industry") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Industry", 'tgomatic-telegram-bot');?></option>
                  <option value="food"<?php
                     if ($img_cat == "food") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Food", 'tgomatic-telegram-bot');?></option>
                  <option value="computer"<?php
                     if ($img_cat == "computer") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Computer", 'tgomatic-telegram-bot');?></option>
                  <option value="sports"<?php
                     if ($img_cat == "sports") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Sports", 'tgomatic-telegram-bot');?></option>
                  <option value="transportation"<?php
                     if ($img_cat == "transportation") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Transportation", 'tgomatic-telegram-bot');?></option>
                  <option value="travel"<?php
                     if ($img_cat == "travel") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Travel", 'tgomatic-telegram-bot');?></option>
                  <option value="buildings"<?php
                     if ($img_cat == "buildings") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Buildings", 'tgomatic-telegram-bot');?></option>
                  <option value="business"<?php
                     if ($img_cat == "business") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Business", 'tgomatic-telegram-bot');?></option>
                  <option value="music"<?php
                     if ($img_cat == "music") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Music", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Minimum image width.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Min Width: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="number" min="1" step="1" name="tgomatic_Main_Settings[img_width]" value="<?php echo esc_html($img_width);?>" placeholder="<?php echo esc_html__("Please insert image min width", 'tgomatic-telegram-bot');?>" class="cr_width_full">     
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Maximum image width.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Max Width: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="number" min="1" step="1" name="tgomatic_Main_Settings[img_mwidth]" value="<?php echo esc_html($img_mwidth);?>" placeholder="<?php echo esc_html__("Please insert image max width", 'tgomatic-telegram-bot');?>" class="cr_width_full">     
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("A flag indicating that only images suitable for all ages should be returned.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Safe Search: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[img_ss]"<?php
                  if ($img_ss == 'on') {
                      echo ' checked="checked"';
                  }
                  ?> >
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Select images that have received an Editor's Choice award.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Editor\'s Choice: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[img_editor]"<?php
                  if ($img_editor == 'on') {
                      echo ' checked="checked"';
                  }
                  ?> >
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Specify default language for regional content.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Filter Language: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[img_language]" class="cr_width_full">
                  <option value="any"<?php
                     if ($img_language == "any") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Any", 'tgomatic-telegram-bot');?></option>
                  <option value="en"<?php
                     if ($img_language == "en") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("English", 'tgomatic-telegram-bot');?></option>
                  <option value="cs"<?php
                     if ($img_language == "cs") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Czech", 'tgomatic-telegram-bot');?></option>
                  <option value="da"<?php
                     if ($img_language == "da") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Danish", 'tgomatic-telegram-bot');?></option>
                  <option value="de"<?php
                     if ($img_language == "de") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("German", 'tgomatic-telegram-bot');?></option>
                  <option value="es"<?php
                     if ($img_language == "es") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Spanish", 'tgomatic-telegram-bot');?></option>
                  <option value="fr"<?php
                     if ($img_language == "fr") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("French", 'tgomatic-telegram-bot');?></option>
                  <option value="id"<?php
                     if ($img_language == "id") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Indonesian", 'tgomatic-telegram-bot');?></option>
                  <option value="it"<?php
                     if ($img_language == "it") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Italian", 'tgomatic-telegram-bot');?></option>
                  <option value="hu"<?php
                     if ($img_language == "hu") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Hungarian", 'tgomatic-telegram-bot');?></option>
                  <option value="nl"<?php
                     if ($img_language == "nl") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Dutch", 'tgomatic-telegram-bot');?></option>
                  <option value="no"<?php
                     if ($img_language == "no") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Norvegian", 'tgomatic-telegram-bot');?></option>
                  <option value="pl"<?php
                     if ($img_language == "pl") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Polish", 'tgomatic-telegram-bot');?></option>
                  <option value="pt"<?php
                     if ($img_language == "pt") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Portuguese", 'tgomatic-telegram-bot');?></option>
                  <option value="ro"<?php
                     if ($img_language == "ro") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Romanian", 'tgomatic-telegram-bot');?></option>
                  <option value="sk"<?php
                     if ($img_language == "sk") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Slovak", 'tgomatic-telegram-bot');?></option>
                  <option value="fi"<?php
                     if ($img_language == "fi") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Finish", 'tgomatic-telegram-bot');?></option>
                  <option value="sv"<?php
                     if ($img_language == "sv") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Swedish", 'tgomatic-telegram-bot');?></option>
                  <option value="tr"<?php
                     if ($img_language == "tr") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Turkish", 'tgomatic-telegram-bot');?></option>
                  <option value="vi"<?php
                     if ($img_language == "vi") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Vietnamese", 'tgomatic-telegram-bot');?></option>
                  <option value="th"<?php
                     if ($img_language == "th") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Thai", 'tgomatic-telegram-bot');?></option>
                  <option value="bg"<?php
                     if ($img_language == "bg") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Bulgarian", 'tgomatic-telegram-bot');?></option>
                  <option value="ru"<?php
                     if ($img_language == "ru") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Russian", 'tgomatic-telegram-bot');?></option>
                  <option value="el"<?php
                     if ($img_language == "el") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Greek", 'tgomatic-telegram-bot');?></option>
                  <option value="ja"<?php
                     if ($img_language == "ja") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Japanese", 'tgomatic-telegram-bot');?></option>
                  <option value="ko"<?php
                     if ($img_language == "ko") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Korean", 'tgomatic-telegram-bot');?></option>
                  <option value="zh"<?php
                     if ($img_language == "zh") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Chinese", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Select if you want to enable usage of the Google Images Search with the Creative Commons filter enabled, for getting images.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Enable Google Images Search Usage: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[google_images]"<?php
                  if ($google_images == 'on') {
                     echo ' checked="checked"';
                  }
                  ?> >
            </td>
         </tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Select if you want to enable usage of the Unsplash API for getting images.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Enable Unsplash API Usage: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[unsplash_api]"<?php
                  if ($unsplash_api == 'on') {
                      echo ' checked="checked"';
                  }
                  ?> >
            </td>
         </tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Select if you want to enable direct scraping of Pixabay website. This will generate different results from the API.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Enable Pixabay Direct Website Scraping: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[pixabay_scrape]"<?php
                  if ($pixabay_scrape == 'on') {
                      echo ' checked="checked"';
                  }
                  ?> >
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Filter results by image type.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Types To Search: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[scrapeimgtype]" class="cr_width_full">
                  <option value="all"<?php
                     if ($scrapeimgtype == "all") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("All", 'tgomatic-telegram-bot');?></option>
                  <option value="photo"<?php
                     if ($scrapeimgtype == "photo") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Photo", 'tgomatic-telegram-bot');?></option>
                  <option value="illustration"<?php
                     if ($scrapeimgtype == "illustration") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Illustration", 'tgomatic-telegram-bot');?></option>
                  <option value="vector"<?php
                     if ($scrapeimgtype == "vector") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Vector", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Filter results by image orientation.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Orientation: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[scrapeimg_orientation]" class="cr_width_full">
                  <option value="all"<?php
                     if ($scrapeimg_orientation == "all") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("All", 'tgomatic-telegram-bot');?></option>
                  <option value="horizontal"<?php
                     if ($scrapeimg_orientation == "horizontal") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Horizontal", 'tgomatic-telegram-bot');?></option>
                  <option value="vertical"<?php
                     if ($scrapeimg_orientation == "vertical") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Vertical", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Order results by a predefined rule.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Results Order: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[scrapeimg_order]" class="cr_width_full">
                  <option value="any"<?php
                     if ($scrapeimg_order == "any") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Any", 'tgomatic-telegram-bot');?></option>
                  <option value="popular"<?php
                     if ($scrapeimg_order == "popular") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Popular", 'tgomatic-telegram-bot');?></option>
                  <option value="latest"<?php
                     if ($scrapeimg_order == "latest") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Latest", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Filter results by image category.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Category: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <select name="tgomatic_Main_Settings[scrapeimg_cat]" class="cr_width_full">
                  <option value="all"<?php
                     if ($scrapeimg_cat == "all") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("All", 'tgomatic-telegram-bot');?></option>
                  <option value="fashion"<?php
                     if ($scrapeimg_cat == "fashion") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Fashion", 'tgomatic-telegram-bot');?></option>
                  <option value="nature"<?php
                     if ($scrapeimg_cat == "nature") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Nature", 'tgomatic-telegram-bot');?></option>
                  <option value="backgrounds"<?php
                     if ($scrapeimg_cat == "backgrounds") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Backgrounds", 'tgomatic-telegram-bot');?></option>
                  <option value="science"<?php
                     if ($scrapeimg_cat == "science") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Science", 'tgomatic-telegram-bot');?></option>
                  <option value="education"<?php
                     if ($scrapeimg_cat == "education") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Education", 'tgomatic-telegram-bot');?></option>
                  <option value="people"<?php
                     if ($scrapeimg_cat == "people") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("People", 'tgomatic-telegram-bot');?></option>
                  <option value="feelings"<?php
                     if ($scrapeimg_cat == "feelings") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Feelings", 'tgomatic-telegram-bot');?></option>
                  <option value="religion"<?php
                     if ($scrapeimg_cat == "religion") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Religion", 'tgomatic-telegram-bot');?></option>
                  <option value="health"<?php
                     if ($scrapeimg_cat == "health") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Health", 'tgomatic-telegram-bot');?></option>
                  <option value="places"<?php
                     if ($scrapeimg_cat == "places") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Places", 'tgomatic-telegram-bot');?></option>
                  <option value="animals"<?php
                     if ($scrapeimg_cat == "animals") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Animals", 'tgomatic-telegram-bot');?></option>
                  <option value="industry"<?php
                     if ($scrapeimg_cat == "industry") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Industry", 'tgomatic-telegram-bot');?></option>
                  <option value="food"<?php
                     if ($scrapeimg_cat == "food") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Food", 'tgomatic-telegram-bot');?></option>
                  <option value="computer"<?php
                     if ($scrapeimg_cat == "computer") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Computer", 'tgomatic-telegram-bot');?></option>
                  <option value="sports"<?php
                     if ($scrapeimg_cat == "sports") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Sports", 'tgomatic-telegram-bot');?></option>
                  <option value="transportation"<?php
                     if ($scrapeimg_cat == "transportation") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Transportation", 'tgomatic-telegram-bot');?></option>
                  <option value="travel"<?php
                     if ($scrapeimg_cat == "travel") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Travel", 'tgomatic-telegram-bot');?></option>
                  <option value="buildings"<?php
                     if ($scrapeimg_cat == "buildings") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Buildings", 'tgomatic-telegram-bot');?></option>
                  <option value="business"<?php
                     if ($scrapeimg_cat == "business") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Business", 'tgomatic-telegram-bot');?></option>
                  <option value="music"<?php
                     if ($scrapeimg_cat == "music") {
                         echo " selected";
                     }
                     ?>><?php echo esc_html__("Music", 'tgomatic-telegram-bot');?></option>
               </select>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Minimum image width.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Min Width: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="number" min="1" step="1" name="tgomatic_Main_Settings[scrapeimg_width]" value="<?php echo esc_html($scrapeimg_width);?>" placeholder="<?php echo esc_html__("Please insert image min width", 'tgomatic-telegram-bot');?>" class="cr_width_full">     
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Maximum image height.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Image Min Height: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="number" min="1" step="1" name="tgomatic_Main_Settings[scrapeimg_height]" value="<?php echo esc_html($scrapeimg_height);?>" placeholder="<?php echo esc_html__("Please insert image min height", 'tgomatic-telegram-bot');?>" class="cr_width_full">     
            </td>
         </tr>
         <tr>
            <td colspan="2">
               <hr class="cr_dotted"/>
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Please set a the image attribution shortcode value. You can use this value, using the %%image_attribution%% shortcode, in 'Prepend Content With' and 'Append Content With' settings fields. You can use the following shortcodes, in this settings field: %%image_source_name%%, %%image_source_website%%, %%image_source_url%%. These will be updated automatically for the respective image source, from where the imported image is from. This will replace the %%royalty_free_image_attribution%% shortcode, in 'Generated Post Content' settings field.", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Royalty Free Image Attribution Text (%%royalty_free_image_attribution%%): ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="text" name="tgomatic_Main_Settings[attr_text]" value="<?php echo esc_html(stripslashes($attr_text));?>" placeholder="<?php echo esc_html__("Please insert image attribution text pattern", 'tgomatic-telegram-bot');?>" class="cr_width_full">     
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Do you want to enable broad search for royalty free images?", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Enable broad image search: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[bimage]" <?php
                  if ($bimage == 'on') {
                      echo 'checked="checked"';
                  }
                  ?> />
            </td>
         </tr>
         <tr>
            <td>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                  <div class="bws_hidden_help_text cr_min_260px">
                     <?php
                        echo esc_html__("Do you want to not use article's original image if no royalty free image found for the post?", 'tgomatic-telegram-bot');
                        ?>
                  </div>
               </div>
               <b><?php esc_html_e('Do Not Use Original Image If No Free Image Found: ', 'tgomatic-telegram-bot'); ?></b>
            </td>
            <td>
               <input type="checkbox" name="tgomatic_Main_Settings[no_orig]" <?php
                  if ($no_orig == 'on') {
                      echo 'checked="checked"';
                  }
                  ?> />
            </td>
         </tr>
               </table>
            </div>
         </div>
   </div>
   <hr/>
   <div><p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'tgomatic-telegram-bot');?>"/></p></div>
   </form>
</div>
<?php
   }
   ?>