<?php
if(is_admin())
{
   if(isset($_POST['tgomatic_auth']))
   {
       try
       {
            $tgomatic_Main_Settings = get_option('tgomatic_Main_Settings', false);
            if(!function_exists('GuzzleHttp\\Promise\\queue'))
            {
                tgomatic_require_all(dirname(__FILE__) . "/Guzzle");
            }
            if( !class_exists( 'Telegram' ) ) {
                require_once( dirname(__FILE__) . '/telegram/Telegram.php' );
            }
            if (isset($tgomatic_Main_Settings['proxy_url']) && $tgomatic_Main_Settings['proxy_url'] != '') {
                $proxy = $tgomatic_Main_Settings['proxy_url'];
            }
            else
            {
                $proxy = '';
            }
            $tg = new Telegram( $tgomatic_Main_Settings['app_id'], $proxy );
            $data = $tg->getActiveChats();
            if( !is_array( $data ))
            {
                delete_option('tgomatic_latest_groups');
                tgomatic_log_to_file('Invalid response from Telegram (for groups): ' . print_r($data, true));
            }
            else
            {
                update_option('tgomatic_latest_groups', $data);
            }
       }
       catch(Exception $exx)
       {
           update_option('tgomatic_settings_failed', '1');
           tgomatic_log_to_file('Exception thrown in Telegram api during auth: ' . $exx->getMessage());
       }
   }
}
   function tgomatic_telegram_panel()
   {
   $tgomatic_Main_Settings = get_option('tgomatic_Main_Settings', false);
   $authorized = false;
   if(isset($tgomatic_Main_Settings['app_id']) && $tgomatic_Main_Settings['app_id'] != '')
   {
       $GLOBALS['wp_object_cache']->delete('tgomatic_auth_id', 'options');
       if(get_option('tgomatic_auth_id', false) !== FALSE)
       {
           if($tgomatic_Main_Settings['app_id'] == get_option('tgomatic_auth_id', false))
           {
               $authorized = true;
           }
       }

   }
   else
   {
   ?>
<h1><?php echo esc_html__("You must add a Telegram Bot Token before you can use this feature!", 'tgomatic-telegram-bot');?></h1>
<?php
   update_option('tgomatic_auth_id', 'null');
   return;
   }
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
<div>
   <form id="myForm2" method="post" action=""><input type="submit" name="tgomatic_auth" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php if($authorized === TRUE){echo esc_html__('Refresh Group List', 'tgomatic-telegram-bot');}else{echo esc_html__('Bot Info Not Correct', 'tgomatic-telegram-bot');}?>" <?php if($authorized !== TRUE){echo 'disabled';}?>/></form>
   <br/>
   <form id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
      <?php
         settings_fields('tgomatic_option_group2');
         do_settings_sections('tgomatic_option_group2');
         $tgomatic_Telegram_Settings = get_option('tgomatic_Telegram_Settings', false);
         if (isset($tgomatic_Telegram_Settings['tgomatic_posting'])) {
             $tgomatic_posting = $tgomatic_Telegram_Settings['tgomatic_posting'];
         } else {
             $tgomatic_posting = '';
         }
         if (isset($tgomatic_Telegram_Settings['telegram_format'])) {
             $telegram_format = $tgomatic_Telegram_Settings['telegram_format'];
         } else {
             $telegram_format = '';
         }
         if (isset($tgomatic_Telegram_Settings['post_posts'])) {
             $post_posts = $tgomatic_Telegram_Settings['post_posts'];
         } else {
             $post_posts = '';
         }
         if (isset($tgomatic_Telegram_Settings['post_pages'])) {
             $post_pages = $tgomatic_Telegram_Settings['post_pages'];
         } else {
             $post_pages = '';
         }
         if (isset($tgomatic_Telegram_Settings['post_custom'])) {
             $post_custom = $tgomatic_Telegram_Settings['post_custom'];
         } else {
             $post_custom = '';
         }
         if (isset($tgomatic_Telegram_Settings['except_type'])) {
             $except_type = $tgomatic_Telegram_Settings['except_type'];
         } else {
             $except_type = '';
         }
         if (isset($tgomatic_Telegram_Settings['disabled_categories'])) {
             $disabled_categories = $tgomatic_Telegram_Settings['disabled_categories'];
         } else {
             $disabled_categories = '';
         }
         if (isset($tgomatic_Telegram_Settings['disable_tags'])) {
             $disable_tags = $tgomatic_Telegram_Settings['disable_tags'];
         } else {
             $disable_tags = '';
         }
         if (isset($tgomatic_Telegram_Settings['conversation_ids'])) {
             $conversation_ids = $tgomatic_Telegram_Settings['conversation_ids'];
         } else {
             $conversation_ids = '';
         }
         if (isset($tgomatic_Telegram_Settings['selected_pages'])) {
             $selected_pages = $tgomatic_Telegram_Settings['selected_pages'];
         } else {
             $selected_pages = array();
         }
         if (isset($tgomatic_Telegram_Settings['delay_post'])) {
             $delay_post = $tgomatic_Telegram_Settings['delay_post'];
         } else {
             $delay_post = '';
         }
         if (isset($tgomatic_Telegram_Settings['post_type'])) {
             $post_type = $tgomatic_Telegram_Settings['post_type'];
         } else {
             $post_type = '';
         }
         if (isset($tgomatic_Telegram_Settings['run_background'])) {
             $run_background = $tgomatic_Telegram_Settings['run_background'];
         } else {
             $run_background = '';
         }
         if (isset($tgomatic_Telegram_Settings['publish_text'])) {
             $publish_text = $tgomatic_Telegram_Settings['publish_text'];
         } else {
             $publish_text = '';
         }
         if (isset($tgomatic_Telegram_Settings['no_strip'])) {
             $no_strip = $tgomatic_Telegram_Settings['no_strip'];
         } else {
             $no_strip = '';
         }
         if (isset($tgomatic_Telegram_Settings['shortcode_percentage'])) {
             $shortcode_percentage = $tgomatic_Telegram_Settings['shortcode_percentage'];
         } else {
             $shortcode_percentage = '';
         }
         if (isset($tgomatic_Telegram_Settings['shortcode_content'])) {
             $shortcode_content = $tgomatic_Telegram_Settings['shortcode_content'];
         } else {
             $shortcode_content = '';
         }
         if (isset($tgomatic_Telegram_Settings['max_posts_interval'])) {
             $max_posts_interval = $tgomatic_Telegram_Settings['max_posts_interval'];
         } else {
             $max_posts_interval = '';
         }
         if (isset($tgomatic_Telegram_Settings['max_posts'])) {
             $max_posts = $tgomatic_Telegram_Settings['max_posts'];
         } else {
             $max_posts = '';
         }
         if (isset($_GET['settings-updated'])) {
         ?>
      <div id="message" class="updated">
         <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'tgomatic-telegram-bot');?></strong></p>
      </div>
      <?php
         $get = get_option('coderevolution_settings_changed', 0);
         if($get == 1)
         {
             delete_option('coderevolution_settings_changed');
         ?>
      <div id="message" class="updated">
         <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'tgomatic-telegram-bot');?></strong></p>
      </div>
      <?php 
         }
         elseif($get == 2)
         {
                 delete_option('coderevolution_settings_changed');
         ?>
      <div id="message" class="updated">
         <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'tgomatic-telegram-bot');?></strong></p>
      </div>
      <?php 
         }
         elseif($get != 0)
         {
                 delete_option('coderevolution_settings_changed');
         ?>
      <div id="message" class="updated">
         <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html($get);?></strong></p>
      </div>
      <?php 
         }
             }
         ?>
      <div>
         <div class="tgomatic_class">
            <table class="widefat">
               <tr>
                  <td>
                     <h1>
                        <span class="gs-sub-heading"><b>TGomatic Automatic Post to Telegram - <?php echo esc_html__('Main Switch:', 'tgomatic-telegram-bot');?></b>&nbsp;</span>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Enable or disable automatic posting to Telegram every time you publish a new post (manually or automatically).", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                     </h1>
                  </td>
                  <td>
                     <div class="slideThree">	
                        <input class="input-checkbox" type="checkbox" id="tgomatic_posting" name="tgomatic_Telegram_Settings[tgomatic_posting]"<?php
                           if ($tgomatic_posting == 'on')
                               echo ' checked ';
                           ?>>
                        <label for="tgomatic_posting"></label>
                     </div>
                  </td>
               </tr>
            </table>
         </div>
         <div><?php if($tgomatic_posting != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'tgomatic-telegram-bot') . '</div>';}?>
            <hr/>
            <table class="widefat">
               <tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Input a comma separated list of Telegram conversation IDs where the plugin should submit posts. You can prepend IDs with @ or not, both ways will work.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b class="cr_red12"><?php echo esc_html__("Telegram Conversation IDs Where to Publish Posts:", 'tgomatic-telegram-bot');?></b>&nbsp;
               </div>
               </td><td>
               <div>
               <textarea rows="3" id="conversation_ids" name="tgomatic_Telegram_Settings[conversation_ids]" placeholder="Telegram Conversation ID list (comma separated)"><?php echo $conversation_ids;?></textarea>
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("The list of groups where the bot is added. Te refresh the list, click the 'Refresh Group List' button above", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b class="cr_red12"><?php echo esc_html__("Telegram Groups Where The Bot Will Post:", 'tgomatic-telegram-bot');?></b>&nbsp;
               <a onclick="uncheckAll()" class="cr_pointer"><?php echo esc_html__("Clear List", 'tgomatic-telegram-bot');?></a>
               </div>
               </td><td>
               <div>
               <select name="tgomatic_Telegram_Settings[selected_pages][]" id="GroupsSelect" multiple="multiple" class="cr_auto">
               <option value="" disabled><?php echo esc_html__('Select one or multiple groups or refresh the list from above', 'tgomatic-telegram-bot');?></option>
<?php
   $store = get_option('tgomatic_latest_groups', false);
   if(is_array($store))
   {
   foreach($store as $index_id => $value_name)
   {
   ?>
<option value="<?php echo esc_attr($value_name['id']);?>"
   <?php
      if(in_array($value_name['id'], $selected_pages)) echo " selected" ?>>ID: 
<?php echo esc_html($value_name['id']);
if($value_name['name'] != '')
{
    echo ' - Name: ' . esc_html($value_name['name']);
}
 ?>
</option>
<?php
   }
   }?>
</select>
               </div>
               </td></tr>
               <tr><td><hr/></td><td><hr/></td></tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Select the post types you wish to submit to Telegram.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Post Types To Publish:", 'tgomatic-telegram-bot');?></b>
                     </div>
                  </td>
                  <td>
                     <div>
                        <select name="tgomatic_Telegram_Settings[post_type]" class="cr_auto">
                        <option value="auto" <?php if($post_type == 'auto') echo 'selected';?>><?php echo esc_html__("Auto Detect", 'tgomatic-telegram-bot');?></option>
                        <option value="text" <?php if($post_type == 'text') echo 'selected';?>><?php echo esc_html__("Text", 'tgomatic-telegram-bot');?></option>
                        <option value="image" <?php if($post_type == 'image') echo 'selected';?>><?php echo esc_html__("Image", 'tgomatic-telegram-bot');?></option>
                        <option value="video" <?php if($post_type == 'video') echo 'selected';?>><?php echo esc_html__("Video", 'tgomatic-telegram-bot');?></option>
                        </select>
               </td></tr>
               <tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Choose the template of your Telegram posts. You can use the following shortcodes: %%variable_content%%, %%featured_image%%, %%post_cats%%, %%post_tags%%, %%blog_title%%, %%author_name%%, %%post_link%%, %%random_sentence%%, %%random_sentence2%%, %%post_title%%, %%post_content%%, %%post_excerpt%%", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Telegram Post Message Template:", 'tgomatic-telegram-bot');?></b>
               </div>
               </td><td>
               <div>
               <textarea rows="4" name="tgomatic_Telegram_Settings[telegram_format]" placeholder="Please insert your Telegram post template"><?php
                  echo esc_textarea($telegram_format);
                  ?></textarea>
               </div>
               </td></tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Select if you wish to post text posts when there are no usable images/videos to be posted to Telegram. If you uncheck this checkbox, posts without usable links will be skipped instead.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Publish Text Post If Image/Video Post Does Not Contain Images/Videos:", 'tgomatic-telegram-bot');?></b>
                  </td>
                  <td>
                  <input type="checkbox" id="publish_text" name="tgomatic_Telegram_Settings[publish_text]"<?php
                     if ($publish_text == 'on')
                         echo ' checked ';
                     ?>>
                  </div>
                  </td>
               </tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Select if you wish to keep HTML content in posts that you submit to Telegram. If you leave this field unchecked, the following HTML tags will be set to Telegram: b,i,a,code,pre", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Strip All HTML Tags From Telegram Messages:", 'tgomatic-telegram-bot');?></b>
                  </td>
                  <td>
                  <input type="checkbox" id="no_strip" name="tgomatic_Telegram_Settings[no_strip]"<?php
                     if ($no_strip == 'on')
                         echo ' checked ';
                     ?>>
                  </div>
                  </td>
               </tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Do you want delay posting with this amount of seconds from post publish? This will create a single cron job for each post (cron is a requirement for this to function). If you leave this field blank, posts will be automatically published on post creation.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Delay Posting By (Seconds):", 'tgomatic-telegram-bot');?></b>
                  </td>
                  <td>
                  <input type="number" min="0" step="1" id="delay_post" name="tgomatic_Telegram_Settings[delay_post]" class="cr_450" value="<?php echo esc_html($delay_post);?>" placeholder="Delay posting by X seconds">
                  </div>
                  </td>
               </tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("This option will allow you to select if you want to run posting in async mode. This means that each time you publish a post, the plugin will try to execute it's task in the background - it will no longer block new post posting, while it finishes it's job.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b><?php echo esc_html__("Use Async Posting Method:", 'tgomatic-telegram-bot');?></b>
                  </td>
                  <td>
                  <input type="checkbox" id="run_background" name="tgomatic_Telegram_Settings[run_background]"<?php
                     if ($run_background == 'on')
                         echo ' checked ';
                     ?>>
                  </div>
                  <?php
                     $companies = get_option('tgomatic_my_companies', array());
                     if(is_array($companies) && count($companies) > 0)
                     {
                     ?>
                  </td>
               </tr>
               <tr>
                  <td>
                     <div>
                        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">
                              <?php
                                 echo esc_html__("Select the pages associated with your App ID, where you want to publish your posts. To select multiple entries, please hold down the 'Control' key.", 'tgomatic-telegram-bot');
                                 ?>
                           </div>
                        </div>
                        <b class="cr_red12"><?php echo esc_html__("Pages Where to Publish Posts:", 'tgomatic-telegram-bot');?></b>&nbsp;
                        <a onclick="uncheckAll()" class="cr_pointer"><?php echo esc_html__("Clear List", 'tgomatic-telegram-bot');?></a>
                     </div>
                  </td>
                  <td>
                     <div>
                        <select required name="tgomatic_Telegram_Settings[selected_pages][]" id="PagesSelect" multiple="multiple" class="cr_auto">
                        <?php
                           if(count($companies) > 0)
                           {
                               if(!is_array($selected_pages))
                               {
                                   $selected_pages = array($selected_pages);
                               }
                               foreach($companies as $cmp_id => $cmp_name)
                               {
                                   echo '<option value="' . esc_attr($cmp_id) . '"';
                                   if(in_array($cmp_id, $selected_pages))
                                   {
                                       echo ' selected';
                                   }
                                   echo '>' . esc_html($cmp_name) . '</option>';
                               }
                           }
                           ?>
                        </select>
                        <?php
                           }
                           else
                           {
                           ?>
                  </td>
               </tr>
               <tr><td>
               <h3><?php echo esc_html__("Posting Restrictions:", 'tgomatic-telegram-bot');?></h3>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Set the maximum number of posts to be submitted each predefined time interval (default is 1 hour, you can change this in the 'Maximum Post Count Interval' settings from below. To disable this feature, leave this field blank.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Maximum Post Count Per Time Interval:", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="number" min="0" step="1" id="max_posts" name="tgomatic_Telegram_Settings[max_posts]" class="cr_450" value="<?php echo esc_html($max_posts);?>" placeholder="Maximum post count per time interval">
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Set the maximum number of posts to be submitted each predefined time interval.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Maximum Post Count Interval (Minutes):", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="number" min="0" step="1" id="max_posts_interval" name="tgomatic_Telegram_Settings[max_posts_interval]" class="cr_450" value="<?php echo esc_html($max_posts_interval);?>" placeholder="60">
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Do you want to disable automatically posting of WordPress 'posts' to Telegram?", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Disable Autoposting of 'Posts':", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="checkbox" id="post_posts" name="tgomatic_Telegram_Settings[post_posts]"<?php
                  if ($post_posts == 'on')
                      echo ' checked ';
                  ?>>
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Do you want to disable automatically posting of WordPress 'pages' to Telegram?", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Disable Autoposting of 'Pages':", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="checkbox" id="post_pages" name="tgomatic_Telegram_Settings[post_pages]"<?php
                  if ($post_pages == 'on')
                      echo ' checked ';
                  ?>>
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Do you want to disable automatically posting of WordPress 'pages' to Telegram?", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Disable Autoposting of 'Custom Post Types':", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="checkbox" id="post_custom" name="tgomatic_Telegram_Settings[post_custom]"<?php
                  if ($post_custom == 'on')
                      echo ' checked ';
                  ?>>
               </div>
               </td></tr><tr><td>
                    <div>
        <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                        <div class="bws_hidden_help_text cr_min_260px">
<?php
    echo esc_html__("If you checked the above checkbox to disable processing of custom post types, you can define here a comma separated list of posts types which should still be process (excepted from skipping).", 'tgomatic-telegram-bot');
?>
                        </div>
                    </div>
                    <b><?php echo esc_html__("Excepting This Comma Separated List Of Custom Post Types:", 'tgomatic-telegram-bot');?></b>
                    
                    </td><td>
                    <input type="text" id="except_type" name="tgomatic_Telegram_Settings[except_type]" value="<?php echo esc_html($except_type);?>" placeholder="Excepted custom post types">
        </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Do you want to disable automatically posting of WordPress 'posts' to Telegram?", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Disable Autoposting of Selected Categories:", 'tgomatic-telegram-bot');?></b><br/>
               <a onclick="toggleCats()" class="cr_pointer"><?php echo esc_html__("Show/Hide Categories List", 'tgomatic-telegram-bot');?></a>
               </td><td>
               <br/>
               <div id="hideCats" class="hideCats">
               <?php
                  $cat_args   = array(
                      'orderby' => 'name',
                      'hide_empty' => 0,
                      'order' => 'ASC'
                  );
                  $categories = get_categories($cat_args);
                  foreach ($categories as $category) {
                  ?>
               <div>
               <label>
               <input
                  <?php
                     if (isset($tgomatic_Telegram_Settings['disabled_categories']) && !empty($tgomatic_Telegram_Settings['disabled_categories'])) {
                         checked(true, in_array($category->term_id, $tgomatic_Telegram_Settings['disabled_categories']));
                     }
                     ?>
                  type="checkbox" name="tgomatic_Telegram_Settings[disabled_categories][]" value="<?php
                     echo esc_html($category->term_id);
                     ?>" /> 
               <span><?php
                  echo esc_html(sanitize_text_field($category->name));
                  ?></span>
               </label>
               </div>
               <?php
                  }
                  ?>
               </div>
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Input the tags for which you want to disable posting. You can enter more tags, separated by comma. Ex: cars, vehicles, red, luxury. To disable this feature, leave this field blank.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("Disable Autoposting of Selected Tags:", 'tgomatic-telegram-bot');?></b>
               </div>
               </td><td>
               <div>
               <textarea rows="1" name="tgomatic_Telegram_Settings[disable_tags]" placeholder="Please insert the tags for which you want to disable posting"><?php
                  echo esc_textarea($disable_tags);
                  ?></textarea>
               </div>
               </td></tr><tr><td>
               <h3>%%variable_content%% <?php echo esc_html__("Shortcode Option:", 'tgomatic-telegram-bot');?></h3>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Set the %%variable_content%% shortcode content.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("%%variable_content%% Shortcode Content:", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="text" id="shortcode_content" name="tgomatic_Telegram_Settings[shortcode_content]" placeholder="%%variable_content%% content" value="<?php echo esc_html($shortcode_content);?>">
               </div>
               </td></tr><tr><td>
               <div>
               <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
               <div class="bws_hidden_help_text cr_min_260px">
               <?php
                  echo esc_html__("Set the occurance rate of the %%variable_content%% shortcode. In this percentage, the shortcode will be filled with content and posted.", 'tgomatic-telegram-bot');
                  ?>
               </div>
               </div>
               <b><?php echo esc_html__("%%variable_content%% Shortcode Occurance Rate:", 'tgomatic-telegram-bot');?></b>
               </td><td>
               <input type="number" min="0" max="100" step="1" id="shortcode_percentage" name="tgomatic_Telegram_Settings[shortcode_percentage]" placeholder="%%variable_content%% occurance rate" value="<?php echo esc_html($shortcode_percentage);?>">
               </div>
               </td></tr>
            </table>
            <br/><br/>
            <?php echo esc_html__("New! AI generated shortcodes supported, click for details:", 'tgomatic-telegram-bot');?>&nbsp;<a href="https://coderevolution.ro/knowledge-base/faq/how-to-create-ai-generated-content-from-any-plugin-built-by-coderevolution/" target="_blank"><img src="https://i.ibb.co/gvTNWr6/artificial-intelligence-badge.png" alt="artificial-intelligence-badge" title="AI content generator support, when used together with the Aiomatic plugin"></a><br/><br/><a href="https://www.youtube.com/watch?v=5rbnu_uis7Y" target="_blank"><?php echo esc_html__("Nested Shortcodes also supported!", 'tgomatic-telegram-bot');?></a>
            </div>
            <div>
               <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'tgomatic-telegram-bot');?>"/></p>
            </div>
   </form>
   <?php
      }
      ?>
   </div>
   </div>
</div>
<?php
   }
   ?>